2013-11-21  Wojciech Kapcia <wojciech.kapcia@tigase.org>

	* modules/distribution/pom.xml, modules/izpack-installer/pom.xml,
	modules/master/pom.xml, pom.xml: prepare for next development
	iteration

2013-11-21  Wojciech Kapcia <wojciech.kapcia@tigase.org>

	* modules/distribution/pom.xml, modules/izpack-installer/pom.xml,
	modules/master/pom.xml, pom.xml: tigase-server-5.2.0-rc1 release

2013-11-20  Andrzej Wójcik <andrzejw@tigase.org>

	* src/main/java/tigase/xmpp/impl/Message.java,
	src/main/java/tigase/xmpp/impl/MessageAmp.java: Fixes #1480 -
	changed way of processing message stanzas to fix delivery of
	messages sent from one resource to other resource connected to other
	cluster node.

2013-11-19  Wojciech Kapcia <wojciech.kapcia@tigase.org>

	* src/main/groovy/tigase/admin/BroadcastToOnline.groovy: modify
	script BroadcastToOnline to sent messages on all cluster nodes

2013-11-18  Bartosz Malkowski <bmalkowski@tigase.pl>

	* src/main/java/tigase/io/TLSWrapper.java,
	src/main/java/tigase/server/XMPPServer.java,
	src/main/java/tigase/vhosts/VHostItem.java: Task #1628 Incrase
	security level.  fix: wrong variable initialisation

2013-11-18  Bartosz Malkowski <bmalkowski@tigase.pl>

	* src/main/java/tigase/auth/DefaultMechanismSelector.java,
	src/main/java/tigase/io/TLSWrapper.java,
	src/main/java/tigase/io/TelnetClient.java,
	src/main/java/tigase/io/TelnetServer.java,
	src/main/java/tigase/net/IOService.java,
	src/main/java/tigase/server/XMPPServer.java,
	src/main/java/tigase/vhosts/VHostItem.java,
	src/main/java/tigase/xmpp/XMPPResourceConnection.java,
	src/main/java/tigase/xmpp/impl/JabberIqAuth.java: Task #1628 Incrase
	security level.

2013-11-16  Andrzej Wójcik <andrzejw@tigase.org>

	*
	src/main/java/tigase/cluster/strategy/DefaultClusteringStrategy.jav
	a,
	src/main/java/tigase/server/xmppclient/StreamManagementIOProcessor.
	java, src/main/java/tigase/server/xmppsession/SessionManager.java,
	src/main/java/tigase/xmpp/impl/MobileV3.java: Fixes for
	DefaultClusteringStrategy for sending <presence type="unavailable"/>
	to other resources connected to other cluster nodes.  Fixed sending
	queued packets from MobileV3 if stream was resumed by Stream
	Management.  Fixed logging levels for SessionManagement on closing
	of stream connection.

2013-11-12  Andrzej Wójcik <andrzejw@tigase.org>

	* src/main/java/tigase/cluster/SessionManagerClustered.java,
	src/main/java/tigase/cluster/api/SessionManagerClusteredIfc.java,
	src/main/java/tigase/cluster/strategy/DefaultClusteringStrategy.jav
	a,
	src/main/java/tigase/cluster/strategy/DefaultClusteringStrategyAbst
	ract.java,
	src/main/java/tigase/cluster/strategy/cmd/PacketForwardCmd.java: 
	Fixes for DefaultClusteringStrategy

2013-11-11  Andrzej Wójcik <andrzejw@tigase.org>

	* src/main/java/tigase/xmpp/impl/MobileV3.java: Fixes in queuing of
	presences in MobileV3 plugin

2013-11-11  Andrzej Wójcik <andrzejw@tigase.org>

	* src/main/java/tigase/xmpp/impl/MessageCarbons.java,
	src/main/java/tigase/xmpp/impl/MobileV3.java: Added implementation
	of new MobileV3 - mobile optimization plugin to fix minor queueing
	issues and optimize transfer for Message Carbons over mobile
	networks

2013-11-09  Andrzej Wójcik <andrzejw@tigase.org>

	* src/main/groovy/tigase/admin/PluginManager.groovy: Fixes #1563 -
	Issues with Comp and Plugin manager scripts - fixed setting empty
	list of changes for plugins

2013-11-04  Wojciech Kapcia <wojciech.kapcia@tigase.org>

	* conf/config.properties, modules/distribution/pom.xml,
	scripts/debian/tigase.init.d, scripts/tigase.sh: changed OSGi
	dependencies versions to avoid conflicts

2013-10-31  Wojciech Kapcia <wojciech.kapcia@tigase.org>

	* src/main/java/tigase/server/ComponentInfo.java: add xml
	representation of Component Information; related to #1608

2013-10-31  Wojciech Kapcia <wojciech.kapcia@tigase.org>

	* src/main/java/tigase/vhosts/VHostManager.java: fix issue with some
	session manager scripts relying on VHost repository; related to
	#1587

2013-10-30  Andrzej Wójcik <andrzejw@tigase.org>

	* src/main/java/tigase/cluster/ClusterConnectionManager.java,
	src/main/java/tigase/cluster/repo/ClConSQLRepository.java,
	src/main/java/tigase/vhosts/VHostManager.java: Fixed new clustering
	to work in OSGi

2013-10-30  Andrzej Wójcik <andrzejw@tigase.org>

	* src/main/groovy/tigase/admin/PluginManager.groovy: Issue #1563 -
	Fixed issue with PluginManager.groovy showing disabled plugins as
	enabled.

2013-10-30  Wojciech Kapcia <wojciech.kapcia@tigase.org>

	* src/main/java/tigase/cluster/BoshConnectionClustered.java,
	src/main/java/tigase/cluster/ClientConnectionClustered.java,
	src/main/java/tigase/cluster/ClusterConnectionManager.java,
	src/main/java/tigase/cluster/MonitorClustered.java,
	src/main/java/tigase/cluster/S2SConnectionClustered.java,
	src/main/java/tigase/cluster/SessionManagerClustered.java,
	src/main/java/tigase/cluster/WebSocketClientConnectionClustered.jav
	a, src/main/java/tigase/cluster/api/ClusteredComponentIfc.java,
	src/main/java/tigase/conf/ConfiguratorAbstract.java,
	src/main/java/tigase/server/BasicComponent.java,
	src/main/java/tigase/server/ConnectionManager.java,
	src/main/java/tigase/server/monitor/MonitorComponent.java,
	src/main/java/tigase/server/test/TestComponent.java,
	src/main/java/tigase/server/xmppserver/S2SConnectionManager.java,
	src/main/java/tigase/server/xmppsession/SessionManager.java,
	src/main/java/tigase/vhosts/VHostManager.java: a little update do
	javadoc

2013-10-30  Wojciech Kapcia <wojciech.kapcia@tigase.org>

	* src/main/groovy/tigase/admin/CompRepoItemAdd.groovy,
	src/main/groovy/tigase/admin/CompRepoItemRemove.groovy,
	src/main/groovy/tigase/admin/CompRepoItemUpdate.groovy,
	src/main/groovy/tigase/admin/SSLCertificateAdd.groovy,
	src/main/java/tigase/cluster/VHostManagerClustered.java,
	src/main/java/tigase/conf/Configurable.java,
	src/main/java/tigase/server/MessageRouterConfig.java: extend vhost
	ad-hoc scripts to execute on all nodes in cluster mode; fix #1587

2013-10-29  Andrzej Wójcik <andrzejw@tigase.org>

	* src/main/groovy/tigase/admin/PluginManager.groovy,
	src/main/java/tigase/server/xmppsession/SessionManager.java: Issue
	#1563 - fixed reloading of plugins/processors by SessionManager

2013-10-28  Andrzej Wójcik <andrzej@hi-low.eu>

	* src/main/groovy/tigase/admin/PluginManager.groovy: Issue #1563 -
	modified PluginManager script to work outside of OSGi environment

2013-10-27  Andrzej Wójcik <andrzejw@tigase.org>

	* src/main/groovy/tigase/admin/CompManager.groovy: Issue #1563 -
	CompManager.groovy - issues

2013-10-27  Andrzej Wójcik <andrzejw@tigase.org>

	* src/main/java/tigase/server/websocket/WebSocketXMPPIOService.java: 
	Fixes #1603 - WebSocket connection failure when sending large stanza
	from server to client

2013-10-26  Andrzej Wójcik <andrzejw@tigase.org>

	* src/main/java/tigase/xmpp/impl/MessageCarbons.java: Fixes #1599 -
	message-carbons plugin sends extra IQ packet during connect

2013-10-24  Wojciech Kapcia <wojciech.kapcia@tigase.org>

	* src/main/java/tigase/stats/CounterDataArchivizer.java: include
	count of registered users in statistics, remove debug information

2013-10-24  Wojciech Kapcia <wojciech.kapcia@tigase.org>

	* src/main/java/tigase/server/amp/action/Store.java,
	src/main/java/tigase/xmpp/impl/OfflineMessages.java: use UTC
	explicitly for offline messages per xep-0203; fix #1592: Offline
	Messages Time Bug

2013-10-22  Wojciech Kapcia <wojciech.kapcia@tigase.org>

	* scripts/installer-generate.sh, scripts/installer-prepare.sh,
	src/main/izpack/changes.patch: include IZPACK-377; a few tweaks to
	installer scripts

2013-10-22  Wojciech Kapcia <wojciech.kapcia@tigase.org>

	* scripts/installer-prepare.sh, src/main/izpack/changes.patch,
	src/main/izpack/java/izpack/izpack/ConsoleHelper.java,
	src/main/izpack/java/izpack/izpack/ConsoleInstallHelper.java,
	src/main/izpack/java/izpack/izpack/ConsoleMenu.java,
	src/main/izpack/java/izpack/izpack/ConsolePager.java,
	src/main/izpack/java/izpack/izpack/HTMLHelper.java,
	src/main/izpack/java/izpack/izpack/IConsoleMenuItem.java,
	src/main/izpack/java/izpack/izpack/Option.java,
	src/main/izpack/java/izpack/izpack/ResourceHelper.java,
	src/main/izpack/java/izpack/izpack/ValidatingConverter.java,
	src/main/izpack/java/izpack/izpack/VariablesHelper.java,
	src/main/izpack/java/izpack/panels/HTMLInfoPanelConsoleHelper.java,
	src/main/izpack/java/izpack/panels/HTMLLicencePanelConsoleHelper.ja
	va,
	src/main/izpack/java/izpack/panels/JDKPathPanelConsoleHelper.java,
	src/main/izpack/java/izpack/panels/PacksPanelConsoleHelper.java,
	src/main/izpack/java/izpack/panels/PathInputPanelConsoleHelper.java: 
	Revert "update IzPack to v4.3.4 (fix issue with exception); separate
	created files from patch" This reverts commit b62d91745ce9c08c35c9d5b36c983795cb2a9117.

2013-10-21  Wojciech Kapcia <wojciech.kapcia@tigase.org>

	* src/main/java/tigase/xmpp/impl/JabberIqRegister.java: unescape
	password during in-band registration/password change; fix #826

2013-10-18  Wojciech Kapcia <wojciech.kapcia@tigase.org>

	* src/main/izpack/userInputSpec.xml: ACS License note in installer
	change; #1595

2013-10-16  Artur Hefczyc <artur.hefczyc@tigase.org>

	* src/main/java/tigase/cluster/SessionManagerClustered.java,
	src/main/java/tigase/disco/ServiceEntity.java,
	src/main/java/tigase/server/BasicComponent.java: Fixed problem with
	service discovery incorrect display when a component changed
	description after it has been initailized. A new API has been
	introduced to reset service discovery information and load them from
	a component again.

2013-10-16  Artur Hefczyc <artur.hefczyc@tigase.org>

	* src/main/java/tigase/server/xmppsession/SessionManagerConfig.java: 
	Added message carbons plugin to a default set of loaded plugins.

2013-10-16  Artur Hefczyc <artur.hefczyc@tigase.org>

	* src/main/java/tigase/cluster/ClusterController.java: Service
	discovery description changed to Cluster controller

2013-10-16  Artur Hefczyc <artur.hefczyc@tigase.org>

	* src/main/java/tigase/server/MessageRouter.java: Fixed a bug with
	service discovery processing to local components.

2013-10-16  Artur Hefczyc <artur.hefczyc@tigase.org>

	* src/main/java/tigase/server/bosh/BoshConnectionManager.java: Fixed
	NPE when a packet is received without a resource part, which should
	point to a bosh session id.

2013-10-16  Artur Hefczyc <artur.hefczyc@tigase.org>

	* : commit 41480d24dd3ad30dddb8f647992890fdb6ccc450 Author: Wojciech
	Kapcia <wojciech.kapcia@tigase.org> Date:   Wed Oct 16 12:07:24 2013
	+0200

2013-10-15  Artur Hefczyc <artur.hefczyc@tigase.org>

	* src/main/java/tigase/server/ConnectionManager.java: Fixed NPE  in
	case th connection ID calculated from a packet is null, hence it
	could not query a collection with active connections to get
	IOService to put the stanza to send.

2013-10-15  Artur Hefczyc <artur.hefczyc@tigase.org>

	* src/main/java/tigase/server/MessageRouterConfig.java: Fixed a
	problem with websocket connection manager loading in a cluster mode.
	A standard component was loaded instead of a clustered version.

2013-10-15  Artur Hefczyc <artur.hefczyc@tigase.org>

	* src/main/java/tigase/cluster/ClusterConnectionManager.java: 
	Service discovery description changed.

2013-10-15  Artur Hefczyc <artur.hefczyc@tigase.org>

	* src/main/java/tigase/cluster/SessionManagerClustered.java,
	src/main/java/tigase/cluster/strategy/DefaultClusteringStrategy.jav
	a: Added toString() implementation which returns getInfo() value.
	This is to make it possible to pass the staregy info regardless the
	strategy variable is already initialized in the SessionManager and
	to avoid NPE in such cases.

2013-10-15  Artur Hefczyc <artur.hefczyc@tigase.org>

	* src/main/java/tigase/cluster/strategy/ClusteringStrategyIfc.java,
	src/main/java/tigase/cluster/strategy/DefaultClusteringStrategy.jav
	a: Added getInfo() method which can provide additional, human
	readable information or description of the strategy implementation.

2013-10-15  Artur Hefczyc <artur.hefczyc@tigase.org>

	* src/main/java/tigase/cluster/SessionManagerClustered.java: Added
	getDiscoDescription() method to indicate that this is clustered
	version running.

2013-10-15  Artur Hefczyc <artur.hefczyc@tigase.org>

	* src/main/java/tigase/cluster/BoshConnectionClustered.java: Added
	getDiscoDescription() method to indicate that this is clustered
	version running.

2013-10-15  Artur Hefczyc <artur.hefczyc@tigase.org>

	* src/main/java/tigase/cluster/ClientConnectionClustered.java: Added
	getDiscoDescription() method to indicate that this is clustered
	version running.

2013-10-15  Artur Hefczyc <artur.hefczyc@tigase.org>

	*
	src/main/java/tigase/cluster/WebSocketClientConnectionClustered.jav
	a: Added getDiscoDescription() method to indicate that this is
	clustered version running.

2013-10-15  Artur Hefczyc <artur.hefczyc@tigase.org>

	* src/main/java/tigase/cluster/S2SConnectionClustered.java: Added
	getDiscoDescription() method to indicate that this is clustered
	version running.

2013-10-15  Artur Hefczyc <artur.hefczyc@tigase.org>

	* src/main/java/tigase/server/xmppserver/S2SConnectionManager.java: 
	Removed unused import.

2013-10-15  Artur Hefczyc <artur.hefczyc@tigase.org>

	*
	src/main/java/tigase/cluster/WebSocketClientConnectionClustered.jav
	a: Added getDiscoDescription() method to indicate that this is
	clustered version running.

2013-10-15  Artur Hefczyc <artur.hefczyc@tigase.org>

	*
	src/main/java/tigase/server/websocket/WebSocketClientConnectionMana
	ger.java: Added getDiscoDescription() method to properly display the
	component in the service discovery.

2013-10-09  Artur Hefczyc <artur.hefczyc@tigase.org>

	* : commit c01e3da92d60afd9a5cb0c87ee77f2254ba78941 Author: Artur
	Hefczyc <artur.hefczyc@tigase.org> Date:   Wed Oct 9 23:52:21 2013
	-0700

2013-10-09  Wojciech Kapcia <wojciech.kapcia@tigase.org>

	* src/main/java/tigase/conf/ConfiguratorAbstract.java: add
	persistant logger configuration to avoid overriding its properties
	when only one property was updated; fix #1562: Logging level runtime
	configuration change

2013-10-08  Andrzej Wójcik <andrzejw@tigase.org>

	* src/main/java/tigase/server/xmppsession/SessionManager.java: Fix
	for issue with removing session while there might be an active
	connection for this session

2013-10-07  Artur Hefczyc <artur.hefczyc@tigase.org>

	* src/main/java/tigase/cluster/ClusterConnectionManager.java,
	src/main/java/tigase/cluster/SessionManagerClustered.java,
	src/main/java/tigase/cluster/strategy/DefaultClusteringStrategy.jav
	a: Fixes #1578 @6h, problem with password for cluster connections
	loaded frm DB

2013-10-07  Artur Hefczyc <artur.hefczyc@tigase.org>

	* : commit 7bcd2224f293c3fad92726596d194318b71eb4e1 Author: Artur
	Hefczyc <artur.hefczyc@tigase.org> Date:   Mon Oct 7 10:44:14 2013
	-0700

2013-10-07  Wojciech Kapcia <wojciech.kapcia@tigase.org>

	* scripts/redhat/init.d/tigase: update RHEL init.d script defaults

2013-10-05  Artur Hefczyc <artur.hefczyc@tigase.org>

	* : commit e03017ac132494ef513d9d74b8ac8965298f6ecb Author: Artur
	Hefczyc <artur.hefczyc@tigase.org> Date:   Sat Oct 5 21:21:33 2013
	-0700

2013-10-04  Wojciech Kapcia <wojciech.kapcia@tigase.org>

	* modules/distribution/pom.xml: include pubsub groovy scripts in the
	package

2013-10-04  Bartosz Malkowski <bmalkowski@tigase.pl>

	* src/test/java/tigase/auth/mechanisms/SaslANONYMOUSTest.java: 
	update junit tests: ANONYMOUS mechanism must ignore trace info

2013-10-04  Bartosz Malkowski <bmalkowski@tigase.pl>

	* src/main/java/tigase/auth/mechanisms/SaslANONYMOUS.java: Bug
	#1575: anonymous not authorized

2013-10-02  Andrzej Wójcik <andrzej@hi-low.eu>

	* src/main/java/tigase/http/HttpServer.java,
	src/main/java/tigase/http/HttpService.java: Fixed issue with
	duplicated class names in two projects Tigase XMPP Server and Tigase
	HTTP API

2013-10-02  Andrzej Wójcik <andrzej@hi-low.eu>

	* src/main/java/tigase/server/bosh/BoshIOService.java: Fix for #1551
	Bosh Disconnecting After 10 Minutes on Webkit based browsers

2013-10-01  Andrzej Wójcik <andrzejw@tigase.org>

	*
	src/main/java/tigase/server/xmppclient/StreamManagementIOProcessor.
	java: Ignore undelivered presence packets by StreamManagement when
	sending delivery errors

2013-09-26  Andrzej Wójcik <andrzejw@tigase.org>

	* : commit 238cfb846fd6f410ed5f4276e562593e2a1ae4b8 Author: Andrzej
	Wójcik <andrzejw@tigase.org> Date:   Thu Sep 26 23:34:08 2013
	+0200

2013-09-26  Wojciech Kapcia <wojciech.kapcia@tigase.org>

	* database/sqlserver-schema-5-1-sp.sql,
	scripts/db-create-sqlserver.cmd: SQL Server support: improve schema,
	correct database creation script

2013-09-25  Wojciech Kapcia <wojciech.kapcia@tigase.org>

	* database/sqlserver-schema-5-1-sp.sql: fix support for SQL Server
	versions before 2012 (avoid using CONCAT)

2013-09-24  Wojciech Kapcia <wojciech.kapcia@tigase.org>

	* scripts/db-create-sqlserver.cmd: add hostname parameter to script
	used to create SQL Server schema

2013-09-24  Wojciech Kapcia <wojciech.kapcia@tigase.org>

	* src/main/groovy/tigase/admin/CompManager.groovy: extend script
	CompManager.groovy with option to list component information; fix
	#1465: Adhoc to retrieve list of active components

2013-09-23  Wojciech Kapcia <wojciech.kapcia@tigase.org>

	* src/main/java/tigase/cluster/SessionManagerClustered.java,
	src/main/java/tigase/cluster/VirtualComponent.java,
	src/main/java/tigase/conf/ConfiguratorAbstract.java,
	src/main/java/tigase/server/BasicComponent.java,
	src/main/java/tigase/server/ComponentInfo.java,
	src/main/java/tigase/server/MessageRouter.java,
	src/main/java/tigase/server/ServerComponent.java,
	src/main/java/tigase/server/XMPPServer.java,
	src/main/java/tigase/server/xmppsession/SessionManager.java,
	src/main/java/tigase/xmpp/XMPPImplIfc.java,
	src/main/java/tigase/xmpp/XMPPProcessor.java: add component
	information, including version and class; fix #1465: Adhoc to
	retrieve list of active components

2013-09-24  Wojciech Kapcia <wojciech.kapcia@tigase.org>

	* modules/master/pom.xml, pom.xml: downgrade version of
	maven-compiler-plugin to avoid recompiling all sources; add
	Implementation-Title

2013-09-21  Artur Hefczyc <artur.hefczyc@tigase.org>

	* src/main/java/tigase/auth/MechanismSelector.java,
	src/main/java/tigase/cluster/ClusterConnectionManager.java,
	src/main/java/tigase/cluster/ClusterController.java,
	src/main/java/tigase/cluster/S2SConnectionClustered.java,
	src/main/java/tigase/cluster/SessionManagerClustered.java,
	src/main/java/tigase/cluster/VirtualComponent.java,
	src/main/java/tigase/cluster/api/ClusterElement.java,
	src/main/java/tigase/cluster/api/CommandListener.java,
	src/main/java/tigase/cluster/api/CommandListenerAbstract.java,
	src/main/java/tigase/cluster/api/SessionManagerClusteredIfc.java,
	src/main/java/tigase/cluster/repo/ClConConfigRepository.java,
	src/main/java/tigase/cluster/repo/ClConDirRepository.java,
	src/main/java/tigase/cluster/repo/ClConRepoDefaults.java,
	src/main/java/tigase/cluster/repo/ClusterRepoItem.java,
	src/main/java/tigase/cluster/strategy/ClusteringStrategyIfc.java,
	src/main/java/tigase/cluster/strategy/ConnectionRecord.java,
	src/main/java/tigase/cluster/strategy/ConnectionRecordIfc.java,
	src/main/java/tigase/cluster/strategy/DefaultClusteringStrategy.jav
	a, src/main/java/tigase/cluster/strategy/SMNonCachingAllNodes.java,
	src/main/java/tigase/conf/ConfigItem.java,
	src/main/java/tigase/conf/ConfigRepositoryIfc.java,
	src/main/java/tigase/conf/ConfigSQLRepository.java,
	src/main/java/tigase/conf/ConfigXMLRepository.java,
	src/main/java/tigase/conf/Configurable.java,
	src/main/java/tigase/conf/ConfigurationCache.java,
	src/main/java/tigase/conf/ConfiguratorAbstract.java,
	src/main/java/tigase/conf/ConfiguratorOld.java,
	src/main/java/tigase/db/AuthRepositoryImpl.java,
	src/main/java/tigase/db/AuthRepositoryMDImpl.java,
	src/main/java/tigase/db/AuthRepositoryPool.java,
	src/main/java/tigase/db/DataRepository.java,
	src/main/java/tigase/db/DataRepositoryPool.java,
	src/main/java/tigase/db/DummyRepository.java,
	src/main/java/tigase/db/NonAuthUserRepositoryImpl.java,
	src/main/java/tigase/db/RepositoryFactory.java,
	src/main/java/tigase/db/UserRepositoryMDImpl.java,
	src/main/java/tigase/db/UserRepositoryPool.java,
	src/main/java/tigase/db/comp/ComponentRepository.java,
	src/main/java/tigase/db/comp/ConfigRepository.java,
	src/main/java/tigase/db/comp/RepositoryItemAbstract.java,
	src/main/java/tigase/db/comp/UserRepoRepository.java,
	src/main/java/tigase/db/derby/StoredProcedures.java,
	src/main/java/tigase/db/jdbc/DataRepositoryImpl.java,
	src/main/java/tigase/db/jdbc/DrupalWPAuth.java,
	src/main/java/tigase/db/jdbc/JDBCRepository.java,
	src/main/java/tigase/db/jdbc/TigaseAuth.java,
	src/main/java/tigase/db/jdbc/TigaseCustomAuth.java,
	src/main/java/tigase/db/xml/XMLRepository.java,
	src/main/java/tigase/disco/XMPPServiceCollector.java,
	src/main/java/tigase/io/SSLContextContainer.java,
	src/main/java/tigase/io/SocketIO.java,
	src/main/java/tigase/io/TLSIO.java,
	src/main/java/tigase/io/TLSUtil.java,
	src/main/java/tigase/io/TLSWrapper.java,
	src/main/java/tigase/io/TelnetClient.java,
	src/main/java/tigase/io/TelnetServer.java,
	src/main/java/tigase/io/ZLibIO.java,
	src/main/java/tigase/net/ConnectionOpenListener.java,
	src/main/java/tigase/net/ConnectionOpenThread.java,
	src/main/java/tigase/net/IOService.java,
	src/main/java/tigase/net/SocketThread.java,
	src/main/java/tigase/osgi/util/ClassUtil.java,
	src/main/java/tigase/server/AbstractMessageReceiver.java,
	src/main/java/tigase/server/BasicComponent.java,
	src/main/java/tigase/server/CmdAcl.java,
	src/main/java/tigase/server/Command.java,
	src/main/java/tigase/server/ConnectionManager.java,
	src/main/java/tigase/server/Iq.java,
	src/main/java/tigase/server/Message.java,
	src/main/java/tigase/server/MessageRouter.java,
	src/main/java/tigase/server/MessageRouterConfig.java,
	src/main/java/tigase/server/Packet.java,
	src/main/java/tigase/server/Presence.java,
	src/main/java/tigase/server/ServerComponent.java,
	src/main/java/tigase/server/XMPPServer.java,
	src/main/java/tigase/server/amp/ActionAbstract.java,
	src/main/java/tigase/server/amp/AmpComponent.java,
	src/main/java/tigase/server/amp/MsgRepository.java,
	src/main/java/tigase/server/amp/action/Alert.java,
	src/main/java/tigase/server/amp/action/Deliver.java,
	src/main/java/tigase/server/amp/action/Drop.java,
	src/main/java/tigase/server/amp/action/Error.java,
	src/main/java/tigase/server/amp/action/Notify.java,
	src/main/java/tigase/server/amp/action/Store.java,
	src/main/java/tigase/server/amp/cond/Deliver.java,
	src/main/java/tigase/server/amp/cond/ExpireAt.java,
	src/main/java/tigase/server/amp/cond/MatchResource.java,
	src/main/java/tigase/server/bosh/BoshConnectionManager.java,
	src/main/java/tigase/server/bosh/BoshIOService.java,
	src/main/java/tigase/server/bosh/BoshSession.java,
	src/main/java/tigase/server/bosh/BoshSessionCache.java,
	src/main/java/tigase/server/ext/CompDBRepository.java,
	src/main/java/tigase/server/ext/CompRepoDefaults.java,
	src/main/java/tigase/server/ext/CompRepoItem.java,
	src/main/java/tigase/server/ext/CompSQLRepository.java,
	src/main/java/tigase/server/ext/ComponentConnection.java,
	src/main/java/tigase/server/ext/ComponentIOService.java,
	src/main/java/tigase/server/ext/ComponentProtocol.java,
	src/main/java/tigase/server/ext/handlers/BindProcessor.java,
	src/main/java/tigase/server/ext/handlers/ComponentAcceptStreamOpenH
	andler.java,
	src/main/java/tigase/server/ext/handlers/ComponentConnectStreamOpen
	Handler.java,
	src/main/java/tigase/server/ext/handlers/HandshakeProcessor.java,
	src/main/java/tigase/server/ext/handlers/JabberClientStreamOpenHand
	ler.java,
	src/main/java/tigase/server/ext/handlers/SASLProcessor.java,
	src/main/java/tigase/server/ext/handlers/StartTLSProcessor.java,
	src/main/java/tigase/server/ext/handlers/StreamFeaturesProcessor.ja
	va,
	src/main/java/tigase/server/ext/handlers/UnknownXMLNSStreamOpenHand
	ler.java, src/main/java/tigase/server/ext/lb/LoadBalancerIfc.java,
	src/main/java/tigase/server/ext/lb/ReceiverBareJidLB.java,
	src/main/java/tigase/server/filters/PacketCounter.java,
	src/main/java/tigase/server/monitor/MonitorComponent.java,
	src/main/java/tigase/server/monitor/MonitorPluginIfc.java,
	src/main/java/tigase/server/monitor/MonitorRuntime.java,
	src/main/java/tigase/server/script/AbstractScriptCommand.java,
	src/main/java/tigase/server/script/AddScriptCommand.java,
	src/main/java/tigase/server/script/CommandIfc.java,
	src/main/java/tigase/server/script/Script.java,
	src/main/java/tigase/server/sreceiver/AbstractReceiverTask.java,
	src/main/java/tigase/server/sreceiver/NewTaskCommand.java,
	src/main/java/tigase/server/sreceiver/PubSubTestsTask.java,
	src/main/java/tigase/server/sreceiver/ReceiverTaskIfc.java,
	src/main/java/tigase/server/sreceiver/RepoRosterTask.java,
	src/main/java/tigase/server/sreceiver/ShortNewsPublisher.java,
	src/main/java/tigase/server/sreceiver/StanzaReceiver.java,
	src/main/java/tigase/server/sreceiver/TaskInstanceCommand.java,
	src/main/java/tigase/server/sreceiver/TesterTask.java,
	src/main/java/tigase/server/sreceiver/sysmon/SystemMonitorTask.java
	, src/main/java/tigase/server/ssender/DrupalCommentsTask.java,
	src/main/java/tigase/server/ssender/DrupalForumTask.java,
	src/main/java/tigase/server/test/TestComponent.java,
	src/main/java/tigase/server/websocket/WebSocketClientConnectionMana
	ger.java,
	src/main/java/tigase/server/websocket/WebSocketXMPPIOService.java,
	src/main/java/tigase/server/xmppclient/ClientConnectionManager.java
	,
	src/main/java/tigase/server/xmppclient/StreamManagementIOProcessor.
	java, src/main/java/tigase/server/xmppclient/XMPPIOProcessor.java,
	src/main/java/tigase/server/xmppcomponent/ComponentConnectionManage
	r.java, src/main/java/tigase/server/xmppserver/CID.java,
	src/main/java/tigase/server/xmppserver/CIDConnections.java,
	src/main/java/tigase/server/xmppserver/S2SConnection.java,
	src/main/java/tigase/server/xmppserver/S2SConnectionHandlerIfc.java
	, src/main/java/tigase/server/xmppserver/S2SConnectionManager.java,
	src/main/java/tigase/server/xmppserver/S2SIOService.java,
	src/main/java/tigase/server/xmppserver/S2SRandomSelector.java,
	src/main/java/tigase/server/xmppserver/ServerConnectionManager.java
	, src/main/java/tigase/server/xmppserver/ServerConnections.java,
	src/main/java/tigase/server/xmppserver/proc/Dialback.java,
	src/main/java/tigase/server/xmppserver/proc/PacketChecker.java,
	src/main/java/tigase/server/xmppserver/proc/S2SAbstractProcessor.ja
	va, src/main/java/tigase/server/xmppserver/proc/StartTLS.java,
	src/main/java/tigase/server/xmppserver/proc/StreamError.java,
	src/main/java/tigase/server/xmppserver/proc/StreamFeatures.java,
	src/main/java/tigase/server/xmppserver/proc/StreamOpen.java,
	src/main/java/tigase/server/xmppsession/PacketDefaultHandler.java,
	src/main/java/tigase/server/xmppsession/SMResourceConnection.java,
	src/main/java/tigase/server/xmppsession/SessionManager.java,
	src/main/java/tigase/server/xmppsession/SessionManagerConfig.java,
	src/main/java/tigase/stats/JavaJMXProxy.java,
	src/main/java/tigase/stats/JavaJMXProxyOpt.java,
	src/main/java/tigase/stats/StatisticsCollector.java,
	src/main/java/tigase/stats/StatisticsList.java,
	src/main/java/tigase/stats/StatisticsProvider.java,
	src/main/java/tigase/stats/StatisticsProviderMBean.java,
	src/main/java/tigase/sys/OnlineJidsReporter.java,
	src/main/java/tigase/sys/TigaseRuntime.java,
	src/main/java/tigase/util/DBUtils.java,
	src/main/java/tigase/util/DataTypes.java,
	src/main/java/tigase/util/LogFormatter.java,
	src/main/java/tigase/util/LogWithStackTraceEntry.java,
	src/main/java/tigase/util/NonpriorityQueue.java,
	src/main/java/tigase/util/PriorityQueueAbstract.java,
	src/main/java/tigase/util/PriorityQueueRelaxed.java,
	src/main/java/tigase/util/PriorityQueueStrict.java,
	src/main/java/tigase/util/ProcessingThreads.java,
	src/main/java/tigase/util/QueueItem.java,
	src/main/java/tigase/util/RepositoryUtils.java,
	src/main/java/tigase/util/TimeUtils.java,
	src/main/java/tigase/util/TimingRecord.java,
	src/main/java/tigase/util/TimingRecorder.java,
	src/main/java/tigase/util/WorkerThread.java,
	src/main/java/tigase/vhosts/DomainFilterPolicy.java,
	src/main/java/tigase/vhosts/VHostItem.java,
	src/main/java/tigase/vhosts/VHostJDBCRepository.java,
	src/main/java/tigase/vhosts/VHostManager.java,
	src/main/java/tigase/vhosts/VHostManagerIfc.java,
	src/main/java/tigase/vhosts/VHostRepoDefaults.java,
	src/main/java/tigase/xmpp/Authorization.java,
	src/main/java/tigase/xmpp/ProcessorFactory.java,
	src/main/java/tigase/xmpp/RepositoryAccess.java,
	src/main/java/tigase/xmpp/XMPPDomBuilderHandler.java,
	src/main/java/tigase/xmpp/XMPPIOService.java,
	src/main/java/tigase/xmpp/XMPPImplIfc.java,
	src/main/java/tigase/xmpp/XMPPProcessor.java,
	src/main/java/tigase/xmpp/XMPPResourceConnection.java,
	src/main/java/tigase/xmpp/XMPPSession.java,
	src/main/java/tigase/xmpp/impl/BindResource.java,
	src/main/java/tigase/xmpp/impl/CAPS.java,
	src/main/java/tigase/xmpp/impl/DomainFilter.java,
	src/main/java/tigase/xmpp/impl/IBB.java,
	src/main/java/tigase/xmpp/impl/InvisibleCommand.java,
	src/main/java/tigase/xmpp/impl/JabberIqAuth.java,
	src/main/java/tigase/xmpp/impl/JabberIqCommand.java,
	src/main/java/tigase/xmpp/impl/JabberIqIq.java,
	src/main/java/tigase/xmpp/impl/JabberIqOOB.java,
	src/main/java/tigase/xmpp/impl/JabberIqPrivacy.java,
	src/main/java/tigase/xmpp/impl/JabberIqPrivate.java,
	src/main/java/tigase/xmpp/impl/JabberIqRegister.java,
	src/main/java/tigase/xmpp/impl/JabberIqRoster.java,
	src/main/java/tigase/xmpp/impl/JabberIqSi.java,
	src/main/java/tigase/xmpp/impl/JabberIqSocks5Bytestreams.java,
	src/main/java/tigase/xmpp/impl/JabberIqStats.java,
	src/main/java/tigase/xmpp/impl/JabberIqVersion.java,
	src/main/java/tigase/xmpp/impl/Jingle.java,
	src/main/java/tigase/xmpp/impl/LastActivity.java,
	src/main/java/tigase/xmpp/impl/Message.java,
	src/main/java/tigase/xmpp/impl/MessageAll.java,
	src/main/java/tigase/xmpp/impl/MessageAmp.java,
	src/main/java/tigase/xmpp/impl/MessageCarbons.java,
	src/main/java/tigase/xmpp/impl/MessageForwarding.java,
	src/main/java/tigase/xmpp/impl/MobileV1.java,
	src/main/java/tigase/xmpp/impl/MobileV2.java,
	src/main/java/tigase/xmpp/impl/OfflineMessages.java,
	src/main/java/tigase/xmpp/impl/PepPlugin.java,
	src/main/java/tigase/xmpp/impl/Presence.java,
	src/main/java/tigase/xmpp/impl/PresenceCapabilitiesManager.java,
	src/main/java/tigase/xmpp/impl/Privacy.java,
	src/main/java/tigase/xmpp/impl/RemoteRosterManagement.java,
	src/main/java/tigase/xmpp/impl/RosterPresence.java,
	src/main/java/tigase/xmpp/impl/SaslAuth.java,
	src/main/java/tigase/xmpp/impl/ServiceDiscovery.java,
	src/main/java/tigase/xmpp/impl/SessionBind.java,
	src/main/java/tigase/xmpp/impl/StartTLS.java,
	src/main/java/tigase/xmpp/impl/StartZLib.java,
	src/main/java/tigase/xmpp/impl/UrnXmppPing.java,
	src/main/java/tigase/xmpp/impl/VCardTemp.java,
	src/main/java/tigase/xmpp/impl/roster/DynamicRoster.java,
	src/main/java/tigase/xmpp/impl/roster/DynamicRosterTest.java,
	src/main/java/tigase/xmpp/impl/roster/Roster.java,
	src/main/java/tigase/xmpp/impl/roster/RosterAbstract.java,
	src/main/java/tigase/xmpp/impl/roster/RosterElement.java,
	src/main/java/tigase/xmpp/impl/roster/RosterFactory.java,
	src/main/java/tigase/xmpp/impl/roster/RosterFlat.java: Fixed all
	javadoc warnings

2013-08-13  Artur Hefczyc <artur.hefczyc@tigase.org>

	* src/main/java/tigase/cluster/SessionManagerClustered.java: Initial
	version of the new clustering API

2013-08-13  Artur Hefczyc <artur.hefczyc@tigase.org>

	* src/main/java/tigase/cluster/ClusterConnectionManager.java,
	src/main/java/tigase/cluster/ClusterController.java,
	src/main/java/tigase/cluster/S2SConnectionClustered.java,
	src/main/java/tigase/cluster/api/ClusterControllerIfc.java,
	src/main/java/tigase/cluster/api/CommandListener.java,
	src/main/java/tigase/cluster/api/CommandListenerAbstract.java,
	src/main/java/tigase/cluster/api/SessionManagerClusteredIfc.java,
	src/main/java/tigase/cluster/repo/ClusterRepoItem.java,
	src/main/java/tigase/cluster/strategy/ClusteringStrategyIfc.java,
	src/main/java/tigase/cluster/strategy/ConnectionRecord.java,
	src/main/java/tigase/cluster/strategy/ConnectionRecordIfc.java,
	src/main/java/tigase/cluster/strategy/DefaultClusteringStrategy.jav
	a, src/main/java/tigase/cluster/strategy/SMNonCachingAllNodes.java,
	src/main/java/tigase/cluster/strategy/cmd/PacketForwardCmd.java,
	src/main/java/tigase/server/xmppsession/SessionManager.java,
	src/main/java/tigase/util/TimingRecord.java,
	src/main/java/tigase/util/TimingRecorder.java: Initial version of
	the new clustering API

2013-09-17  Bartosz Malkowski <bmalkowski@tigase.pl>

	* src/main/java/tigase/auth/MechanismSelector.java: Bug #1552:
	Circular dependency in classes and packages

2013-09-16  Wojciech Kapcia <wojciech.kapcia@tigase.org>

	* src/main/java/tigase/server/bosh/BoshConnectionManager.java: if
	applicable, add error condition to session termination; fix #1444:
	One User login from two browser with same resource by bosh

2013-09-14  Andrzej Wójcik <andrzejw@tigase.org>

	* : Merge commit 'fa64f10320147453cd9021146209efeef236f364' # By Wojciech Kapcia # Via Wojciech Kapcia * commit 'fa64f10320147453cd9021146209efeef236f364':   small improvements in sqlserver schema creation   use unicode in all fields in sqlserver schemas   use unicode in all fields in sqlserver schemas   use unicode in all fields in sqlserver schemas

2013-09-12  Wojciech Kapcia <wojciech.kapcia@tigase.org>

	* database/sqlserver-schema-5-1-props.sql,
	database/sqlserver-schema-5-1-schema.sql,
	database/sqlserver-schema-5-1-sp.sql,
	scripts/db-create-sqlserver.cmd,
	src/main/java/tigase/server/amp/MsgRepository.java: small
	improvements in sqlserver schema creation

2013-09-12  Wojciech Kapcia <wojciech.kapcia@tigase.org>

	* database/sqlserver-schema-5-1-sp.sql,
	src/main/java/tigase/server/amp/MsgRepository.java: use unicode in
	all fields in sqlserver schemas

2013-09-11  Wojciech Kapcia <wojciech.kapcia@tigase.org>

	* src/main/java/tigase/cluster/repo/ClConSQLRepository.java,
	src/main/java/tigase/server/amp/MsgRepository.java,
	src/main/java/tigase/server/xmppclient/SeeOtherHostDB.java: use
	unicode in all fields in sqlserver schemas

2013-09-11  Wojciech Kapcia <wojciech.kapcia@tigase.org>

	* database/sqlserver-schema-5-1-schema.sql,
	database/sqlserver-schema-5-1-sp.sql, database/sqlserver-schema.sql: 
	use unicode in all fields in sqlserver schemas

2013-09-07  Andrzej Wójcik <andrzejw@tigase.org>

	* : commit 9bf28c13279036c696a59a1501b8d7d5f0576a2d Author: Andrzej
	Wójcik <andrzejw@tigase.org> Date:   Sat Sep 7 15:01:04 2013 +0200

2013-09-07  Andrzej Wójcik <andrzejw@tigase.org>

	* : commit 48d4e55f4d616de3dfdce49c656a5e987c891760 Author: Andrzej
	Wójcik <andrzejw@tigase.org> Date:   Sat Sep 7 00:22:06 2013 +0200

2013-09-05  Bartosz Malkowski <bmalkowski@tigase.pl>

	* src/main/java/tigase/xmpp/impl/SaslAuth.java: Bug #1538: Exception
	in Sasl Authentication when do Load Test Tigase Server with TSung

2013-09-03  Wojciech Kapcia <wojciech.kapcia@tigase.org>

	* database/sqlserver-installer-create-db.sql,
	database/sqlserver-installer-post.sql,
	database/sqlserver-schema-5-1-props.sql,
	database/sqlserver-schema-5-1-schema.sql,
	database/sqlserver-schema-5-1-sp.sql, modules/distribution/pom.xml,
	modules/distribution/src/main/assembly/dist-max.xml,
	scripts/db-create-sqlserver.cmd, scripts/installer-generate.sh,
	src/main/izpack/install.xml,
	src/main/izpack/java/TigaseConfigConst.java,
	src/main/izpack/java/TigaseConfigLoadPanel.java,
	src/main/izpack/java/TigaseConfigSavePanel.java,
	src/main/izpack/java/TigaseInstallerDBHelper.java,
	src/main/izpack/userInputSpec.xml,
	src/main/java/tigase/cluster/repo/ClConSQLRepository.java,
	src/main/java/tigase/conf/ConfigSQLRepository.java,
	src/main/java/tigase/db/DataRepository.java,
	src/main/java/tigase/db/DataRepositoryPool.java,
	src/main/java/tigase/db/RepositoryFactory.java,
	src/main/java/tigase/db/jdbc/DataRepositoryImpl.java,
	src/main/java/tigase/db/jdbc/JDBCRepository.java,
	src/main/java/tigase/db/jdbc/TigaseAuth.java,
	src/main/java/tigase/db/jdbc/TigaseCustomAuth.java,
	src/main/java/tigase/server/XMPPServer.java,
	src/main/java/tigase/server/amp/MsgRepository.java,
	src/main/java/tigase/server/ext/CompSQLRepository.java,
	src/main/java/tigase/server/sreceiver/StanzaReceiver.java,
	src/main/java/tigase/server/xmppclient/SeeOtherHostDB.java,
	src/main/java/tigase/server/xmppsession/SessionManagerConfig.java,
	src/main/java/tigase/stats/CounterDataArchivizer.java,
	src/main/java/tigase/stats/CounterDataLogger.java,
	src/main/java/tigase/util/DBUtils.java,
	src/main/java/tigase/xmpp/impl/JabberIqPrivacy.java: add support for
	MS SQL Server to Tigase XMPP Server; #1461: SQL Server Support -
	code development

2013-09-04  Wojciech Kapcia <wojciech.kapcia@tigase.org>

	* modules/distribution/pom.xml, modules/master/pom.xml, pom.xml: 
	Revert "move dependencies to master project" This reverts commit ca6be3a88f201b1bcea606343cae70e74e1504d8.  Conflicts: 	modules/master/pom.xml

2013-09-03  Wojciech Kapcia <wojciech.kapcia@tigase.org>

	* modules/distribution/pom.xml,
	modules/distribution/scripts/genChangeLog.sh,
	modules/master/pom.xml: fix distribution building on windows

2013-09-03  Wojciech Kapcia <wojciech.kapcia@tigase.org>

	* modules/distribution/pom.xml, modules/master/pom.xml, pom.xml: 
	move dependencies to master project

2013-08-31  Andrzej Wójcik <andrzejw@tigase.org>

	* : commit 1066698ddab5e206fd67e6d8e8076d64b05c16b5 Author: Andrzej
	Wójcik <andrzejw@tigase.org> Date:   Sat Aug 31 10:32:53 2013
	+0200

2013-08-28  Wojciech Kapcia <wojciech.kapcia@tigase.org>

	* src/main/java/tigase/cluster/repo/ClConSQLRepository.java: change
	MySQL cluster table fields types to correctly handle data, fix
	#1501: JDBC exception in tigase cluster

2013-08-28  Wojciech Kapcia <wojciech.kapcia@tigase.org>

	* modules/distribution/pom.xml,
	modules/distribution/src/main/assembly/dist-max.xml: avoid
	generating ChangeLog under windows; include tigase-acs in
	distribution archives

2013-08-28  Eric Dziewa <eric.dziewa@tigase.oeg>

	* modules/distribution/pom.xml, modules/izpack-installer/pom.xml,
	modules/master/pom.xml: prepare for next development iteration

2013-08-27  Eric Dziewa <eric.dziewa@tigase.oeg>

	* modules/distribution/pom.xml, pom.xml: prepare for next
	development iteration

2013-08-26  Eric Dziewa <eric.dziewa@tigase.oeg>

	* modules/distribution/pom.xml: Update licence dependency to beta3.

2013-08-26  Eric Dziewa <eric.dziewa@tigase.oeg>

	* modules/distribution/pom.xml: Fix a dependency.

2013-08-26  Eric Dziewa <eric.dziewa@tigase.oeg>

	* pom.xml: Update xmltools dependency.

2013-08-26  Eric Dziewa <eric.dziewa@tigase.oeg>

	* modules/distribution/pom.xml: Update dependencies.

2013-08-26  Eric Dziewa <eric.dziewa@tigase.oeg>

	* pom.xml: Update dependencies to beta3 versions.

2013-08-26  Eric Dziewa <eric.dziewa@tigase.oeg>

	* : commit 683116f24016b4993d0f08ef16732059bc79d127 Author: Eric
	Dziewa <eric.dziewa@tigase.oeg> Date:   Mon Aug 26 15:21:10 2013
	+0200

2013-08-26  Wojciech Kapcia <wojciech.kapcia@tigase.org>

	* modules/distribution/pom.xml: include missing ACS depencency in
	distribution package; fix #1509: tigase-acs,jar is not installed to
	jars directory

2013-08-26  Wojciech Kapcia <wojciech.kapcia@tigase.org>

	* src/main/izpack/install.xml: remove pack200 as it breaks package
	installation when conditions are used, fix #1511: HTTP API component
	breaks the installer

2013-08-26  Wojciech Kapcia <wojciech.kapcia@tigase.org>

	* modules/distribution/pom.xml: include resources (scripts, config
	files, database schemas) from dependencies (HTTP API, MUC, socks5)

2013-08-26  Wojciech Kapcia <wojciech.kapcia@tigase.org>

	* src/main/izpack/install.xml: add team members, fix Task #1510:
	Installer fixes

2013-08-26  Wojciech Kapcia <wojciech.kapcia@tigase.org>

	* scripts/debian/tigase.init.d, scripts/tigase.sh: fix checking for
	OSGi mode (#1508 - Cannot find TIGASE_HOME after installation)

2013-08-25  Andrzej Wójcik <andrzejw@tigase.org>

	* : Merge commit '77ffeb33ae1807fbd94d1b46099c226c3943b9c0' into
	jdk7 # By Eric Dziewa # Via Eric Dziewa * commit '77ffeb33ae1807fbd94d1b46099c226c3943b9c0':   beta3 release

2013-08-20  Andrzej Wójcik <andrzejw@tigase.org>

	* : commit e406bd74ad4ebfcfa65f1a53022c6aab7829a878 Author: Andrzej
	Wójcik <andrzej@hi-low.eu> Date:   Tue Aug 20 13:15:22 2013 +0200

2013-08-16  Andrzej Wójcik <andrzejw@tigase.org>

	* : commit 2ce9507a88a9d88e6724fde74d25b9d9c2ac48db Author: Andrzej
	Wójcik <andrzejw@tigase.org> Date:   Fri Aug 16 17:04:44 2013
	+0200

2013-08-16  Andrzej Wójcik <andrzejw@tigase.org>

	* : commit ab9d747e5925667b2df542cee88d441085a3e40a Merge: e805165
	6b2fb89 Author: Andrzej Wójcik <andrzejw@tigase.org> Date:   Fri
	Aug 16 12:50:39 2013 +0200

2013-08-16  Andrzej Wójcik <andrzejw@tigase.org>

	*
	src/main/java/tigase/server/xmppclient/StreamManagementIOProcessor.
	java, src/main/java/tigase/server/xmppsession/SessionManager.java: 
	Fixed issues after initial testing of XEP-0198 Stream Management
	implementation

2013-08-16  Wojciech Kapcia <wojciech.kapcia@tigase.org>

	* : commit 170290f5ff54410a85823dc69850042ac204f689 Author: Wojciech
	Kapcia <wojciech.kapcia@tigase.org> Date:   Fri Aug 16 10:14:46 2013
	+0200

2013-08-15  Andrzej Wójcik <andrzejw@tigase.org>

	* src/main/java/tigase/server/ConnectionManager.java,
	src/main/java/tigase/server/xmppclient/ClientConnectionManager.java
	,
	src/main/java/tigase/server/xmppclient/StreamManagementIOProcessor.
	java, src/main/java/tigase/server/xmppsession/SessionManager.java,
	src/main/java/tigase/xmpp/impl/MessageCarbons.java: Fixed issues
	after initial testing of XEP-0198 Stream Management implementation

2013-08-13  Andrzej Wójcik <andrzejw@tigase.org>

	*
	src/main/java/tigase/server/xmppclient/StreamManagementIOProcessor.
	java: Fixed issue with not closing broken connection while it awaits
	for stream resumption for XEP-0198 Stream Management

2013-08-12  Andrzej Wójcik <andrzejw@tigase.org>

	* : commit f92f90c0cdfcdd68479328e55e0ba20740d74246 Author: Andrzej
	Wójcik <andrzejw@tigase.org> Date:   Mon Aug 12 22:08:23 2013
	+0200

2013-08-12  Andrzej Wójcik <andrzejw@tigase.org>

	* : Merge remote-tracking branch 'private/xep-0280' * private/xep-0280:   Fixed issues with forking messages with type other than chat   Added plugin MessageCarbons ("message-carbons") implementing
	  support for XEP-0280 Message Carbons

2013-08-07  Wojciech Kapcia <wojciech.kapcia@tigase.org>

	* modules/distribution/src/main/assembly/dist-max.xml,
	modules/distribution/src/main/assembly/dist.xml: correct directory
	permisions in dist packages

2013-08-06  Andrzej Wójcik <andrzejw@tigase.org>

	* modules/master/pom.xml: Switched JDK compatibility to JDK7

2013-08-06  Wojciech Kapcia <wojciech.kapcia@tigase.org>

	* etc/logback.xml: add OSGi dependency requirement - logback
	configuration

2013-08-06  Wojciech Kapcia <wojciech.kapcia@tigase.org>

	* ant-definitions.xml, conf/config.properties, etc/tigase.conf,
	modules/distribution/pom.xml,
	modules/distribution/src/main/assembly/dist-max.xml,
	modules/distribution/src/main/assembly/dist.xml,
	modules/master/pom.xml, scripts/debian/tigase.init.d,
	scripts/tigase.sh, src/main/izpack/install.xml: add OSGi
	installation support in installer, include additional configuration
	files, tweak default configuration

2013-08-03  Andrzej Wójcik <andrzejw@tigase.org>

	* src/main/java/tigase/server/Command.java,
	src/main/java/tigase/server/xmppclient/ClientConnectionManager.java
	,
	src/main/java/tigase/server/xmppclient/StreamManagementIOProcessor.
	java, src/main/java/tigase/server/xmppclient/XMPPIOProcessor.java,
	src/main/java/tigase/server/xmppclient/XMPPIOProcessorsFactory.java
	, src/main/java/tigase/server/xmppsession/SessionManager.java,
	src/main/java/tigase/xmpp/XMPPIOService.java,
	src/main/java/tigase/xmpp/XMPPResourceConnection.java: Implemented
	resumption for XEP-0198 Stream Management

2013-08-03  Wojciech Kapcia <wojciech.kapcia@tigase.org>

	* modules/distribution/scripts/genChangeLog.sh,
	modules/master/pom.xml: add heap memory setting, correct script path
	(#52)

2013-08-02  Wojciech Kapcia <wojciech.kapcia@tigase.org>

	* ant-definitions.xml, conf/config.properties,
	modules/distribution/pom.xml,
	modules/distribution/scripts/genChangeLog.sh,
	modules/distribution/scripts/git2cl,
	modules/distribution/src/main/assembly/dist-max.xml,
	modules/distribution/src/main/assembly/dist.xml,
	modules/distribution/src/main/resources/META-INF/java.security.Prov
	ider, modules/izpack-installer/pom.xml, modules/master/pom.xml,
	package.html, pom.xml, scripts/installer-generate.sh,
	src/main/assembly/prodenv.xml, src/main/izpack/install.xml: #52 -
	Adjust maven project: generating dist package; separate modules to
	handle different tasks and, per requirement, avoiding putting extra
	dependencies in server module;

2013-08-02  Wojciech Kapcia <wojciech.kapcia@tigase.org>

	* : rename libraries to match maven artifacts (related to #52)

2013-07-26  Wojciech Kapcia <wojciech.kapcia@tigase.org>

	* src/main/izpack/install.xml,
	src/main/izpack/java/TigaseConfigConst.java,
	src/main/izpack/java/TigaseConfigLoadPanel.java,
	src/main/izpack/java/TigaseConfigSavePanel.java,
	src/main/izpack/userInputSpec.xml: inclusion ACS component, related
	libraries and additional warning as well as HTTP component to the
	installer #1384

2013-07-25  Andrzej Wójcik <andrzejw@tigase.org>

	* src/main/java/tigase/xmpp/XMPPIOService.java: Fixed sending
	requests for ack if queue for ack size is bigger than default value
	of 10.

2013-07-25  Andrzej Wójcik <andrzejw@tigase.org>

	* src/main/java/tigase/server/bosh/BoshIOService.java: Added
	Content-Length header in response to OPTIONS request even if there
	is no content.

2013-07-20  Andrzej Wójcik <andrzejw@tigase.org>

	*
	src/main/java/tigase/server/xmppclient/ClientConnectionManager.java
	,
	src/main/java/tigase/server/xmppclient/StreamManagementIOProcessor.
	java, src/main/java/tigase/server/xmppclient/XMPPIOProcessor.java,
	src/main/java/tigase/xmpp/XMPPIOService.java,
	src/test/java/tigase/server/xmppclient/StreamManagementIOProcessorT
	est.java: Added implementation for XEP-198 Stream Management - part
	ACK only.  to enable add following line to init.properties
	c2s/processors[s]=urn:xmpp:sm:3

2013-07-19  Wojciech Kapcia <wojciech.kapcia@tigase.org>

	* src/main/java/tigase/server/xmppsession/SessionManager.java: add
	number of active users to statistics

2013-07-13  Andrzej Wójcik <andrzejw@tigase.org>

	* src/main/java/tigase/xmpp/impl/BindResource.java: Fixed issue
	#1418 - returning feature-not-implemented for <bind/> requests
	without <resource/> element.

2013-07-10  Wojciech Kapcia <wojciech.kapcia@tigase.org>

	* database/mysql-message-archive-schema.sql: remove obsolete
	xep-0136 DB schema

2013-07-08  Andrzej Wójcik <andrzejw@tigase.org>

	* src/main/java/tigase/xmpp/impl/MessageCarbons.java: Fixed issues
	with forking messages with type other than chat

2013-07-06  Artur Hefczyc <artur.hefczyc@tigase.org>

	* src/main/java/tigase/server/Message.java: Fixed spelling mistake
	in java doc comment

2013-07-06  Artur Hefczyc <artur.hefczyc@tigase.org>

	* src/main/java/tigase/server/xmppsession/SessionManager.java: Added
	handleLocalPacket(...) method as a public API to make it easier to
	implement custom behaviour for clustering strategy

2013-07-06  Artur Hefczyc <artur.hefczyc@tigase.org>

	* src/main/java/tigase/net/ConnectionOpenThread.java,
	src/main/java/tigase/server/Message.java,
	src/main/java/tigase/xmpp/XMPPSession.java: Code formatting changes
	only

2013-07-06  Andrzej Wójcik <andrzejw@tigase.org>

	* src/main/java/tigase/xmpp/impl/Message.java,
	src/main/java/tigase/xmpp/impl/MessageCarbons.java: Added plugin
	MessageCarbons ("message-carbons") implementing support for XEP-0280
	Message Carbons

2013-07-05  Wojciech Kapcia <wojciech.kapcia@tigase.org>

	* scripts/mandriva/init.d/tigase, scripts/redhat/init.d/tigase: fix
	issues with faulty merge in init.d scripts

2013-07-03  Wojciech Kapcia <wojciech.kapcia@tigase.org>

	* build.properties, pom.xml: continue tigase-server-5.2.0
	development

2013-07-03  Wojciech Kapcia <wojciech.kapcia@tigase.org>

	* build.properties, pom.xml: tigase-server-5.2.0-beta2 release

2013-07-01  Wojciech Kapcia <wojciech.kapcia@tigase.org>

	* src/main/groovy/tigase/admin/UserDomainFilter.groovy: fix
	UserDomainFilter script to align it with changes in the API

2013-07-01  Wojciech Kapcia <wojciech.kapcia@tigase.org>

	* src/main/java/tigase/vhosts/VHostItem.java,
	src/main/java/tigase/xmpp/impl/DomainFilter.java: set domain-filter
	policy to default value (ALL) in case it was not set

2013-06-27  Wojciech Kapcia <wojciech.kapcia@tigase.org>

	* src/main/java/tigase/server/xmppclient/SeeOtherHostDB.java: 
	uncommented checking / creating of the database schema for
	SeeOtherHostDB redirection implementation

2013-06-21  Wojciech Kapcia <wojciech.kapcia@tigase.org>

	* scripts/debian/tigase.init.d: workaround for the issue with PATHs
	in Ubuntu init.d scripts

2013-06-18  Artur Hefczyc <artur.hefczyc@tigase.org>

	* src/main/java/tigase/net/ConnectionOpenThread.java: Added more
	detailed logging for connection throttling so it is clear that the
	connection was closed due to throttling mechanism

2013-06-18  Artur Hefczyc <artur.hefczyc@tigase.org>

	* : commit a0edeca13c95edd65ff3e1f22599d8e85237df01 Author: Bartosz
	Malkowski <bmalkowski@tigase.pl> Date:   Mon Jun 17 10:39:33 2013
	+0200

2013-06-16  Andrzej Wójcik <andrzej@hi-low.eu>

	* src/main/java/tigase/io/TLSWrapper.java,
	src/main/java/tigase/io/TelnetClient.java,
	src/main/java/tigase/io/TelnetServer.java,
	src/main/java/tigase/net/IOService.java,
	src/main/java/tigase/server/ConnectionManager.java,
	src/main/java/tigase/server/ext/handlers/StartTLSProcessor.java,
	src/main/java/tigase/server/xmppclient/ClientConnectionManager.java
	,
	src/main/java/tigase/server/xmppserver/S2SConnectionHandlerIfc.java
	, src/main/java/tigase/server/xmppserver/S2SConnectionManager.java,
	src/main/java/tigase/server/xmppserver/proc/StartTLS.java: 
	Reimplemented ability to enable client certificate request per
	ClientConnectionManager by setting  tls-want-client-auth-enabled
	property

2013-06-16  Andrzej Wójcik <andrzej@hi-low.eu>

	* src/main/java/tigase/io/TLSWrapper.java: Implemented ability to
	disable client certificate request using 'sasl-external-disabled'
	system property

2013-06-16  Andrzej Wójcik <andrzej@hi-low.eu>

	* src/main/java/tigase/io/TLSWrapper.java: Implemented ability to
	set list of enabled SSL/TLS protocols using 'tls-enabled-protocols'
	system property

2013-06-11  Artur Hefczyc <artur.hefczyc@tigase.org>

	* : commit 4de404721dc44c43c13d6ea5c594199f94a17e00 Merge: 5e11515
	8923ea2 Author: Andrzej Wójcik <andrzejw@tigase.org> Date:   Tue
	Jun 11 21:00:34 2013 +0200

2013-06-11  Andrzej Wójcik <andrzej@hi-low.eu>

	* src/main/java/tigase/server/xmppsession/SessionManager.java: Fixed
	lookup for connection to close.

2013-06-11  Artur Hefczyc <artur.hefczyc@tigase.org>

	* src/main/java/tigase/server/xmppsession/SessionManager.java,
	src/main/java/tigase/xmpp/XMPPSession.java: Removed debug logging
	statement, and changed getResrouceConnection() method behavior to
	handle full JIDs correctly

2013-06-10  Wojciech Kapcia <wojciech.kapcia@tigase.org>

	* src/main/java/tigase/server/xmppclient/SeeOtherHost.java,
	src/main/java/tigase/server/xmppclient/SeeOtherHostHashed.java,
	src/main/java/tigase/server/xmppclient/SeeOtherHostIfc.java: fix
	naming in see-other-host implementations

2013-06-08  Artur Hefczyc <artur.hefczyc@tigase.org>

	* scripts/update-code.sh,
	src/main/java/tigase/cluster/VirtualComponent.java,
	src/main/java/tigase/conf/ConfiguratorAbstract.java,
	src/main/java/tigase/conf/ConfiguratorOld.java,
	src/main/java/tigase/server/AbstractMessageReceiver.java,
	src/main/java/tigase/server/BasicComponent.java,
	src/main/java/tigase/server/ConnectionManager.java,
	src/main/java/tigase/server/ServerComponent.java,
	src/main/java/tigase/server/xmppsession/SessionManager.java,
	src/main/java/tigase/stats/StatisticsCollector.java: Fixes to avoid
	double components initialization when loaded into OSGI environment

2013-06-08  Artur Hefczyc <artur.hefczyc@tigase.org>

	* src/main/java/tigase/conf/ConfiguratorAbstract.java: Fixed problem
	with configuration initialization and NPE when run from within OSGI

2013-06-08  Artur Hefczyc <artur.hefczyc@tigase.org>

	* src/main/java/tigase/xmpp/XMPPResourceConnection.java: Code
	formatting changes only

2013-06-07  Andrzej Wójcik <andrzej@hi-low.eu>

	* src/main/java/tigase/server/AbstractMessageReceiver.java,
	src/main/java/tigase/server/xmppsession/SessionManager.java,
	src/main/java/tigase/server/xmppsession/SessionManagerConfig.java,
	src/main/java/tigase/util/TimerTask.java: Moved discovery of
	sessions with stale connections to external scheduled thread when
	fast lookup failed #1363

2013-06-04  Andrzej Wójcik <andrzej@hi-low.eu>

	*
	src/main/java/tigase/server/xmppclient/ClientConnectionManager.java
	, src/main/java/tigase/server/xmppsession/SessionManager.java,
	src/main/java/tigase/server/xmppsession/SessionManagerConfig.java,
	src/main/java/tigase/xmpp/XMPPIOService.java: Improved discovery of
	sessions with stale connections #1363

2013-05-29  Artur Hefczyc <artur.hefczyc@tigase.org>

	* src/main/java/tigase/net/IOService.java: Reduced log level to
	finer.

2013-05-27  Artur Hefczyc <artur.hefczyc@tigase.org>

	* src/main/java/tigase/db/RepositoryFactory.java,
	src/main/java/tigase/util/LogFormatter.java: Added more information
	to each log record - milliseconds to the time of log entry and
	thread name to each log entry.

2013-05-24  Artur Hefczyc <artur.hefczyc@tigase.org>

	*
	src/main/java/tigase/server/xmppsession/PacketDefaultHandler.java,
	src/main/java/tigase/xmpp/impl/JabberIqCommand.java,
	src/main/java/tigase/xmpp/impl/JabberIqStats.java,
	src/main/java/tigase/xmpp/impl/VCardTemp.java: Fixed potential
	infinite loop in plugins

2013-05-24  Artur Hefczyc <artur.hefczyc@tigase.org>

	* scripts/update-code-functions.sh, scripts/update-code.sh: Utility
	scripts for compiling all source codes and updating deployment
	directory

2013-05-24  Artur Hefczyc <artur.hefczyc@tigase.org>

	* .gitignore,
	src/main/java/tigase/server/xmppsession/SessionManager.java,
	src/main/java/tigase/xmpp/XMPPProcessorAbstract.java: Fixed a bug in
	service disco plugin and all plugins extending XMPPProcessorAbstract
	with a packet delivery for non-existen resource

2013-05-06  Wojciech Kapcia <wojciech.kapcia@tigase.org>

	* scripts/db-create-derby.sh: update paths in db-create-derby.sh
	script

2013-05-04  Artur Hefczyc <artur.hefczyc@tigase.org>

	* : commit 8982ee0dcb6bdfe869a3b13e8abe62dc7d6af14c Author: Artur
	Hefczyc <artur.hefczyc@tigase.org> Date:   Sat May 4 21:54:12 2013
	-0700

2013-05-04  Artur Hefczyc <artur.hefczyc@tigase.org>

	* scripts/gentoo/init.d/tigase, scripts/mandriva/init.d/tigase,
	scripts/redhat/init.d/tigase: Increased time to wait for the server
	stop when running 'restart' command.

2013-05-04  Artur Hefczyc <artur.hefczyc@tigase.org>

	* src/main/java/tigase/xmpp/impl/roster/RosterFactory.java: 
	RosterAbstract implementation can be now provided in the
	configuration file.

2013-05-04  Artur Hefczyc <artur.hefczyc@tigase.org>

	* src/main/java/tigase/xmpp/XMPPIOService.java: Code cleanup and
	formatting changes only.

2013-05-04  Artur Hefczyc <artur.hefczyc@tigase.org>

	* src/main/java/tigase/vhosts/VHostItem.java: Fixed NPE exception
	which may happen in some cases when upgrading Tigase for earlier
	version and maxUsersNumber VHost settings in DB are missing.

2013-05-04  Artur Hefczyc <artur.hefczyc@tigase.org>

	* src/main/java/tigase/server/xmppsession/SessionManager.java: Code
	cleanup and  formatting changes only.

2013-05-04  Artur Hefczyc <artur.hefczyc@tigase.org>

	* src/main/java/tigase/server/bosh/BoshSession.java: Code cleanup
	and  formatting changes only.

2013-05-04  Artur Hefczyc <artur.hefczyc@tigase.org>

	* src/main/java/tigase/server/bosh/BoshIOService.java: Code cleanup
	and  formatting changes only.

2013-05-04  Artur Hefczyc <artur.hefczyc@tigase.org>

	* src/main/java/tigase/server/bosh/BoshConnectionManager.java: Code
	cleanup and  formatting changes only.

2013-05-04  Artur Hefczyc <artur.hefczyc@tigase.org>

	* src/main/java/tigase/net/IOService.java: Code cleanup and
	formatting changes only.

2013-05-04  Artur Hefczyc <artur.hefczyc@tigase.org>

	* src/main/java/tigase/server/MessageRouter.java: Code formatting
	changes only.

2013-05-04  Artur Hefczyc <artur.hefczyc@tigase.org>

	* src/main/java/tigase/server/AbstractMessageReceiver.java: Code
	formatting changes only.

2013-05-04  Artur Hefczyc <artur.hefczyc@tigase.org>

	* src/main/java/tigase/cluster/VirtualComponent.java: Code
	formatting changes only.

2013-05-02  Wojciech Kapcia <wojciech.kapcia@tigase.org>

	* scripts/installer-prepare.sh, src/main/izpack/changes.patch,
	src/main/izpack/java/izpack/izpack/ConsoleHelper.java,
	src/main/izpack/java/izpack/izpack/ConsoleInstallHelper.java,
	src/main/izpack/java/izpack/izpack/ConsoleMenu.java,
	src/main/izpack/java/izpack/izpack/ConsolePager.java,
	src/main/izpack/java/izpack/izpack/HTMLHelper.java,
	src/main/izpack/java/izpack/izpack/IConsoleMenuItem.java,
	src/main/izpack/java/izpack/izpack/Option.java,
	src/main/izpack/java/izpack/izpack/ResourceHelper.java,
	src/main/izpack/java/izpack/izpack/ValidatingConverter.java,
	src/main/izpack/java/izpack/izpack/VariablesHelper.java,
	src/main/izpack/java/izpack/panels/HTMLInfoPanelConsoleHelper.java,
	src/main/izpack/java/izpack/panels/HTMLLicencePanelConsoleHelper.ja
	va,
	src/main/izpack/java/izpack/panels/JDKPathPanelConsoleHelper.java,
	src/main/izpack/java/izpack/panels/PacksPanelConsoleHelper.java,
	src/main/izpack/java/izpack/panels/PathInputPanelConsoleHelper.java: 
	update IzPack to v4.3.4 (fix issue with exception); separate created
	files from patch

2013-04-30  Wojtek <wojtek@atlantiscity.local>

	* build.properties, pom.xml: continue tigase-server-5.2.0
	development

2013-04-30  Wojtek <wojtek@atlantiscity.local>

	* build.properties, pom.xml: tigase-server-5.2.0-beta1 release

2013-04-30  Wojtek <wojtek@atlantiscity.local>

	* ant-definitions.xml, scripts/installer-generate.sh: unified
	dist-packages path, handle generating of installer under MacOS;
	include socks5 database schema if possible

2013-04-29  Wojciech Kapcia <wojciech.kapcia@tigase.org>

	* scripts/installer-prepare.sh: remove comments from installer
	preparation script

2013-04-29  Wojciech Kapcia <wojciech.kapcia@tigase.org>

	* scripts/installer-prepare.sh, src/main/izpack/install.xml,
	src/main/izpack/java/TigaseConfigConst.java,
	src/main/izpack/java/TigaseConfigSavePanel.java,
	src/main/izpack/java/TigaseInstallerCommon.java,
	src/main/izpack/java/TigaseInstallerDBHelper.java: #1188 add loading
	of socks5 database schema

2013-04-26  Wojciech Kapcia <wojciech.kapcia@tigase.org>

	* ant-definitions.xml, src/main/izpack/install.xml,
	src/main/izpack/java/TigaseConfigConst.java,
	src/main/izpack/java/TigaseConfigLoadPanel.java,
	src/main/izpack/java/TigaseConfigSavePanel.java,
	src/main/izpack/userInputSpec.xml: resolve #1188 - Installer and
	binaries with additional components

2013-04-26  Wojciech Kapcia <wojciech.kapcia@tigase.org>

	* src/main/java/tigase/cluster/repo/ClConSQLRepository.java: fix
	UPSERT synchronization in ClConSQLRepository

2013-04-26  Wojciech Kapcia <wojciech.kapcia@tigase.org>

	* src/main/java/tigase/conf/ConfiguratorAbstract.java: add call
	getDefaults for ConfigurationCache

2013-04-25  Wojciech Kapcia <wojciech.kapcia@tigase.org>

	* src/main/java/tigase/db/RepositoryFactory.java: handle null params
	Map in RepositoryFactory

2013-04-25  Wojciech Kapcia <wojciech.kapcia@tigase.org>

	* src/main/java/tigase/cluster/repo/ClConSQLRepository.java: make
	ClConSQLRepository compliant with Postgres and Derby

2013-04-25  Wojciech Kapcia <wojciech.kapcia@tigase.org>

	* src/main/java/tigase/cluster/BoshConnectionClustered.java,
	src/main/java/tigase/cluster/ClientConnectionClustered.java: fix NPE
	when see-other-host is not used; set see-other-host node list on
	node disconnection

2013-04-24  Artur Hefczyc <artur.hefczyc@tigase.org>

	* src/main/java/tigase/server/AbstractMessageReceiver.java,
	src/main/java/tigase/server/filters/PacketCounter.java: Updated
	metrics names to avoid confusion what number is about waiting
	packets in the queue and what is processed number of packets

2013-04-24  Artur Hefczyc <artur.hefczyc@tigase.org>

	* src/main/java/tigase/xmpp/XMPPProcessor.java: Changed default
	threads number for a plugin/processor to equal to a number of
	CPU/CPU cores

2013-04-24  Artur Hefczyc <artur.hefczyc@tigase.org>

	* src/main/java/tigase/xmpp/impl/roster/RosterFactory.java: Added
	support for a custom roster abstract implementation classes

2013-04-22  Wojciech Kapcia <wojciech.kapcia@tigase.org>

	* pom.xml: update tigase-utils version

2013-04-19  Wojciech Kapcia <wojciech.kapcia@tigase.org>

	* src/main/java/tigase/server/bosh/BoshConnectionManager.java,
	src/main/java/tigase/server/bosh/BoshSession.java,
	src/main/java/tigase/server/bosh/BoshSessionTaskHandler.java,
	src/main/java/tigase/server/xmppclient/ClientConnectionManager.java
	, src/main/java/tigase/server/xmppclient/SeeOtherHost.java,
	src/main/java/tigase/server/xmppclient/SeeOtherHostDB.java,
	src/main/java/tigase/server/xmppclient/SeeOtherHostHashed.java,
	src/main/java/tigase/server/xmppclient/SeeOtherHostIfc.java: Issue
	#1099 - see-other-host redirection on USER_LOGIN command fix xmlns and type for BOSH stream:error add new configuration
	option for see-other-host:
	(c2s|bosh|ws2c)/cm-see-other-host/active=(OPEN|LOGIN|OTHER) denoting
	in which phase redirects should be active with default value set to
	OPEN

2013-04-19  Bartosz Malkowski <bmalkowski@tigase.pl>

	* src/main/java/tigase/io/SSLContextContainer.java: add: sorting and
	validating certificate chain

2013-04-19  Wojciech Kapcia <wojciech.kapcia@tigase.org>

	* scripts/debian/tigase.init.d, scripts/mandriva/init.d/tigase,
	scripts/redhat/init.d/tigase: increase delay while restarting

2013-04-17  Wojciech Kapcia <wojciech.kapcia@tigase.org>

	* src/main/java/tigase/xmpp/impl/Presence.java: send presence from
	all user sessions after approving subscription request (per RFC1621,
	5.1.5)

2013-04-15  Andrzej Wójcik <andrzejw@tigase.org>

	* : Merge ticket_1195

2013-04-14  Andrzej Wójcik <andrzejw@tigase.org>

	* src/main/java/tigase/cluster/ClusterConnectionManager.java,
	src/main/java/tigase/server/AbstractMessageReceiver.java,
	src/main/java/tigase/server/ConnectionManager.java,
	src/main/java/tigase/server/bosh/BoshSendQueueTask.java,
	src/main/java/tigase/server/bosh/BoshSession.java,
	src/main/java/tigase/server/bosh/BoshTask.java,
	src/main/java/tigase/server/ext/ComponentProtocol.java,
	src/main/java/tigase/server/xmppserver/CIDConnections.java,
	src/main/java/tigase/server/xmppserver/S2SConnectionHandlerIfc.java
	, src/main/java/tigase/server/xmppserver/S2SConnectionManager.java,
	src/main/java/tigase/server/xmppserver/ServerConnectionManager.java
	, src/main/java/tigase/server/xmppserver/proc/Dialback.java,
	src/main/java/tigase/server/xmppsession/SessionManager.java,
	src/main/java/tigase/util/TimerTask.java: Issue #1195 - replaced
	Timer with ScheduledExecutorService

2013-04-14  Artur Hefczyc <artur.hefczyc@tigase.org>

	* src/main/java/tigase/conf/Configurable.java: Fixed property key
	reference from a new propeties to deprecated

2013-04-05  Artur Hefczyc <artur.hefczyc@tigase.org>

	* : commit 9a43e1201b8ffe96fa49a2d12619af99b1bab3c3 Author: Artur
	Hefczyc <artur.hefczyc@tigase.org> Date:   Fri Apr 5 15:08:52 2013
	-0700

2013-04-05  Wojciech Kapcia <wojciech.kapcia@tigase.org>

	* src/main/groovy/tigase/admin/example_Tigase scripting
	guide.groovy,
	src/main/groovy/tigase/admin/example_TigaseScriptingGuide.groovy: 
	rename groovy script

2013-03-24  Andrzej Wójcik <andrzejw@tigase.org>

	* src/main/java/tigase/server/websocket/WebSocketXMPPIOService.java: 
	Fixes after initial tests of WebSockt over SSL

2013-03-20  Wojciech Kapcia <wojciech.kapcia@tigase.org>

	* src/main/groovy/tigase/admin/UserRosterManagementExt.groovy: 
	improve UserRosterManagementExt script to work correctly in cluster
	environment

2013-03-19  Wojciech Kapcia <wojciech.kapcia@tigase.org>

	* src/main/java/tigase/conf/ConfigSQLRepository.java,
	src/main/java/tigase/conf/Configurable.java,
	src/main/java/tigase/conf/ConfiguratorAbstract.java,
	src/main/java/tigase/conf/ConfiguratorOld.java,
	src/main/java/tigase/db/RepositoryFactory.java,
	src/main/java/tigase/db/comp/UserRepoRepository.java,
	src/main/java/tigase/server/amp/ActionAbstract.java,
	src/main/java/tigase/server/amp/action/Store.java,
	src/main/java/tigase/server/ext/CompSQLRepository.java,
	src/main/java/tigase/server/ssender/StanzaSender.java,
	src/main/java/tigase/server/xmppsession/SessionManager.java,
	src/main/java/tigase/server/xmppsession/SessionManagerConfig.java,
	src/main/java/tigase/util/DBUtils.java,
	src/main/java/tigase/xmpp/impl/MessageAmp.java: fix #1024 the
	connection pool configuration; fix repository configuration for
	multiple domains (#750)

2013-03-17  Andrzej Wójcik <andrzejw@tigase.org>

	* : commit 58f6e4ddefd3225f34f51cc50e273818822ac0da Author: Andrzej
	Wójcik <andrzejw@tigase.org> Date:   Sun Mar 17 20:39:05 2013 +0100

2013-03-16  Artur Hefczyc <artur.hefczyc@tigase.org>

	* src/main/java/tigase/server/xmppsession/SessionManager.java,
	src/main/java/tigase/vhosts/DomainFilterPolicy.java,
	src/main/java/tigase/vhosts/VHostItem.java,
	src/main/java/tigase/xmpp/impl/DomainFilter.java: Added a domain
	level configuration for domain filtering policy and for s2s
	connections secret for dialback key generation, closes #715 and
	closes #979

2013-03-16  Artur Hefczyc <artur.hefczyc@tigase.org>

	* src/main/java/tigase/xmpp/impl/MobileV1.java,
	src/main/java/tigase/xmpp/impl/MobileV2.java: Fixed spelling
	mistakes in JavaDoc and replaces strings with string constants

2013-03-16  Artur Hefczyc <artur.hefczyc@tigase.org>

	* : commit 54d8ff4999390e71626ed120b70c515e41ae695e Author: Artur
	Hefczyc <artur.hefczyc@tigase.org> Date:   Sat Mar 16 21:30:43 2013
	-0700

2013-03-13  Andrzej Wójcik <andrzejw@tigase.org>

	* src/test/java/tigase/auth/mechanisms/SaslANONYMOUSTest.java,
	src/test/java/tigase/auth/mechanisms/SaslPLAINTest.java,
	src/test/java/tigase/cluster/api/ClusterElementTest.java: Fixed
	deprecation warnings

2013-03-13  Andrzej Wójcik <andrzejw@tigase.org>

	* src/main/java/tigase/xmpp/impl/MobileV1.java,
	src/main/java/tigase/xmpp/impl/MobileV2.java,
	src/main/java/tigase/xmpp/impl/RemoteRosterManagement.java: Updating
	plugins to use new API

2013-03-12  Artur Hefczyc <artur.hefczyc@tigase.org>

	* src/main/java/tigase/auth/impl/AuthRepoPlainCallbackHandler.java,
	src/main/java/tigase/db/AuthRepositoryImpl.java,
	src/main/java/tigase/server/bosh/BoshSession.java,
	src/main/java/tigase/server/xmppclient/ClientConnectionManager.java
	, src/main/java/tigase/server/xmppsession/SessionManager.java,
	src/main/java/tigase/xmpp/ProcessorFactory.java,
	src/main/java/tigase/xmpp/XMPPProcessor.java,
	src/main/java/tigase/xmpp/XMPPResourceConnection.java,
	src/main/java/tigase/xmpp/impl/AnonymousRoster.java,
	src/main/java/tigase/xmpp/impl/BindResource.java,
	src/main/java/tigase/xmpp/impl/CAPS.java,
	src/main/java/tigase/xmpp/impl/DomainFilter.java,
	src/main/java/tigase/xmpp/impl/DynamicRoster.java,
	src/main/java/tigase/xmpp/impl/DynamicRosterIfc.java,
	src/main/java/tigase/xmpp/impl/DynamicRosterTest.java,
	src/main/java/tigase/xmpp/impl/DynamicRosterTest123.java,
	src/main/java/tigase/xmpp/impl/IBB.java,
	src/main/java/tigase/xmpp/impl/InvisibleCommand.java,
	src/main/java/tigase/xmpp/impl/JabberIqAuth.java,
	src/main/java/tigase/xmpp/impl/JabberIqCommand.java,
	src/main/java/tigase/xmpp/impl/JabberIqIq.java,
	src/main/java/tigase/xmpp/impl/JabberIqOOB.java,
	src/main/java/tigase/xmpp/impl/JabberIqPrivacy.java,
	src/main/java/tigase/xmpp/impl/JabberIqPrivate.java,
	src/main/java/tigase/xmpp/impl/JabberIqRegister.java,
	src/main/java/tigase/xmpp/impl/JabberIqRoster.java,
	src/main/java/tigase/xmpp/impl/JabberIqSi.java,
	src/main/java/tigase/xmpp/impl/JabberIqSocks5Bytestreams.java,
	src/main/java/tigase/xmpp/impl/JabberIqStats.java,
	src/main/java/tigase/xmpp/impl/JabberIqVersion.java,
	src/main/java/tigase/xmpp/impl/Jingle.java,
	src/main/java/tigase/xmpp/impl/LastActivity.java,
	src/main/java/tigase/xmpp/impl/Message.java,
	src/main/java/tigase/xmpp/impl/MessageAll.java,
	src/main/java/tigase/xmpp/impl/MessageAmp.java,
	src/main/java/tigase/xmpp/impl/MessageForwarding.java,
	src/main/java/tigase/xmpp/impl/OfflineMessages.java,
	src/main/java/tigase/xmpp/impl/PepPlugin.java,
	src/main/java/tigase/xmpp/impl/Presence.java,
	src/main/java/tigase/xmpp/impl/RosterPresence.java,
	src/main/java/tigase/xmpp/impl/SaslAuth.java,
	src/main/java/tigase/xmpp/impl/ServiceDiscovery.java,
	src/main/java/tigase/xmpp/impl/SessionBind.java,
	src/main/java/tigase/xmpp/impl/SimpleForwarder.java,
	src/main/java/tigase/xmpp/impl/StartTLS.java,
	src/main/java/tigase/xmpp/impl/StartZLib.java,
	src/main/java/tigase/xmpp/impl/UrnXmppPing.java,
	src/main/java/tigase/xmpp/impl/VCardTemp.java,
	src/main/java/tigase/xmpp/impl/roster/AnonymousRoster.java,
	src/main/java/tigase/xmpp/impl/roster/DynamicRoster.java,
	src/main/java/tigase/xmpp/impl/roster/DynamicRosterIfc.java,
	src/main/java/tigase/xmpp/impl/roster/DynamicRosterTest.java,
	src/main/java/tigase/xmpp/impl/roster/DynamicRosterTest123.java: 
	Updated plugins for the new plugin API

2013-03-12  Artur Hefczyc <artur.hefczyc@tigase.org>

	* src/main/java/tigase/server/bosh/BoshConnectionManager.java: Fixed
	a problem with USER_LOGIN command not implemented for Bosh component

2013-03-11  Artur Hefczyc <artur.hefczyc@tigase.org>

	* src/main/java/tigase/server/xmppsession/SessionManager.java: 
	Simplified walk(...) method parameters without changing logic

2013-03-11  Artur Hefczyc <artur.hefczyc@tigase.org>

	* : Merge ticket_1045 branch

2013-03-11  Artur Hefczyc <artur.hefczyc@tigase.org>

	* src/main/java/tigase/cluster/repo/ClConDirRepository.java,
	src/main/java/tigase/cluster/repo/ClConSQLRepository.java,
	src/main/java/tigase/cluster/repo/ClusterRepoConstants.java: 
	Implementation for automatic cluster reconfiguration completed,
	supported MySQL database repo and directory on file system
	repository. Fixes #1045

2013-03-11  Artur Hefczyc <artur.hefczyc@tigase.org>

	* src/main/java/tigase/cluster/ClusterConnectionManager.java,
	src/main/java/tigase/cluster/repo/ClConConfigRepository.java,
	src/main/java/tigase/cluster/repo/ClConRepoDefaults.java,
	src/main/java/tigase/cluster/repo/ClConSQLRepository.java,
	src/main/java/tigase/cluster/repo/ClusterRepoItem.java,
	src/main/java/tigase/db/comp/ConfigRepository.java,
	src/main/java/tigase/net/ConnectionOpenListener.java,
	src/main/java/tigase/net/ConnectionOpenThread.java,
	src/main/java/tigase/server/ConnectionManager.java,
	src/main/java/tigase/server/ext/CompSQLRepository.java: The first
	working version of cluster automatic configuration based on SQL
	database

2013-03-09  Artur Hefczyc <artur.hefczyc@tigase.org>

	* src/main/java/tigase/cluster/ClusterConnectionManager.java,
	src/main/java/tigase/cluster/repo/ClConConfigRepository.java,
	src/main/java/tigase/cluster/repo/ClConRepoDefaults.java,
	src/main/java/tigase/cluster/repo/ClusterRepoItem.java,
	src/main/java/tigase/conf/ConfigurationCache.java,
	src/main/java/tigase/db/comp/ComponentRepository.java,
	src/main/java/tigase/db/comp/ConfigRepository.java,
	src/main/java/tigase/db/comp/UserRepoRepository.java,
	src/main/java/tigase/io/SocketIO.java,
	src/main/java/tigase/server/MessageRouter.java,
	src/main/java/tigase/server/MessageRouterConfig.java,
	src/main/java/tigase/server/ext/CompSQLRepository.java,
	src/main/java/tigase/server/ext/ComponentProtocol.java,
	src/main/java/tigase/server/xmppserver/proc/S2SAbstractProcessor.ja
	va, src/main/java/tigase/server/xmppsession/SessionManager.java,
	src/main/java/tigase/vhosts/VHostJDBCRepository.java: Initial
	version of cluster connection manager repository, it seems to be
	working with configuration file right now.

2013-03-07  Andrzej Wójcik <andrzejw@tigase.org>

	* : commit 83b41e4c0d768c5cb65321f05dfde1a54c23f578 Author: Andrzej
	Wójcik <andrzejw@tigase.org> Date:   Thu Mar 7 22:05:53 2013 +0100

2013-03-07  Bartosz Malkowski <bmalkowski@tigase.pl>

	* src/main/java/tigase/conf/ConfiguratorAbstract.java,
	src/main/java/tigase/server/XMPPServer.java: #712 -- Build number of
	tigase-utils in log

2013-03-06  Andrzej Wójcik <andrzejw@tigase.org>

	* : commit c2fa5ca607153d3899240cfc0f2197ad415ec7ba Author: Andrzej
	Wójcik <andrzejw@tigase.org> Date:   Wed Mar 6 22:56:29 2013 +0100

2013-03-06  Andrzej Wójcik <andrzejw@tigase.org>

	* src/main/java/tigase/server/xmppsession/SessionManager.java: Fix
	new XMPPProcessor API support in SessionManager

2013-03-06  Bartosz Malkowski <bmalkowski@tigase.pl>

	* src/main/java/tigase/auth/impl/AuthRepoPlainCallbackHandler.java: 
	#1098 -- SASL authentication does not leave trace of DB exception

2013-03-05  Artur Hefczyc <artur.hefczyc@tigase.org>

	* .gitignore: Added more files to ignore list

2013-03-05  Andrzej Wójcik <andrzejw@tigase.org>

	* src/main/java/tigase/stats/StatisticsCollector.java: Added
	stopping StatisticsCollector when it is released

2013-03-04  Artur Hefczyc <artur.hefczyc@tigase.org>

	* src/main/java/tigase/cluster/VirtualComponent.java,
	src/main/java/tigase/server/DisableDisco.java: Closes #1043 Added a
	new configuration property: *fixed-domain*.  If set for the
	component it will present itself using this fixed domain only
	instead of the vhost based on user's request.  For example below
	configuration appears as 2 MUC components loaded one, the real one,
	visible under user's vhost and another visible under
	*echo.example.com* domain: <pre> --comp-name-1=muc
	--comp-class-1=tigase.muc.MUCComponent --comp-name-2=echo --comp-class-2=tigase.cluster.VirtualComponent echo/redirect-to=muc@devel.tigase.org echo/disco-name=Multi User
	Chat echo/disco-node= echo/fixed-domain=example.com
	echo/disco-type=text echo/disco-category=conference
	echo/disco-features=http://jabber.org/protocol/muc </pre>

2013-03-04  Artur Hefczyc <artur.hefczyc@tigase.org>

	* src/main/java/tigase/server/xmppsession/SessionManager.java: Fixed
	an exception on the SM startup time

2013-03-04  Artur Hefczyc <artur.hefczyc@tigase.org>

	* : commit 8ce902fb0b1d68c060b948f0e22395fe91175954 Author: Artur
	Hefczyc <artur.hefczyc@tigase.org> Date:   Mon Mar 4 18:54:20 2013
	-0800

2013-03-04  Artur Hefczyc <artur.hefczyc@tigase.org>

	* : commit 6b06c1f5806cdb873476afd8daa585b5bcba9575 Author: Artur
	Hefczyc <artur.hefczyc@tigase.org> Date:   Mon Mar 4 18:51:58 2013
	-0800

2013-03-04  Artur Hefczyc <artur.hefczyc@tigase.org>

	* src/main/java/tigase/server/Command.java,
	src/main/java/tigase/server/xmppclient/ClientConnectionManager.java
	, src/main/java/tigase/server/xmppsession/SessionManager.java,
	src/main/java/tigase/xmpp/XMPPIOService.java: Added a comment
	USER_LOGIN which is sent from session manager to a connection
	manager when user successfully logins and on successful resource
	bind event, the connection manager sets the user's login to
	XMPPIOService object which includes user's jid in debug log entries.
	It allows for an esier log analysis, fixes #489

2013-03-04  Artur Hefczyc <artur.hefczyc@tigase.org>

	* : commit 53ba7d3086f5e71eaf14c7cfd5e75951591493b3 Author: Artur
	Hefczyc <artur.hefczyc@tigase.org> Date:   Mon Mar 4 15:36:01 2013
	-0800

2013-03-04  Artur Hefczyc <artur.hefczyc@tigase.org>

	* src/main/java/tigase/conf/ConfigRepositoryIfc.java,
	src/main/java/tigase/conf/ConfigurationCache.java,
	src/main/java/tigase/conf/ConfiguratorAbstract.java,
	src/main/java/tigase/server/ServerComponent.java,
	src/main/java/tigase/util/DataTypes.java: Implemented server
	configuration dumping to a property file, this is only suitable for
	viewing the settings the server works on, the server does not read
	the file or checks anything. To modify the server settings copy over
	selected properties to init.properties file and change value. Fixes
	#489

2013-03-04  Artur Hefczyc <artur.hefczyc@tigase.org>

	* : commit a7d2f92c4b28be8b857ae998434eaa3492363786 Author: Artur
	Hefczyc <artur.hefczyc@tigase.org> Date:   Mon Mar 4 14:32:04 2013
	-0800

2013-03-04  Wojciech Kapcia <wojciech.kapcia@tigase.org>

	* ant-definitions.xml: add javac target version to ant build

2013-03-02  Artur Hefczyc <artur.hefczyc@tigase.org>

	* .gitignore: Added logs directory to ingore

2013-03-02  Wojciech Kapcia <wojciech.kapcia@tigase.org>

	* : commit 9525501750079ce52af41236085c7dae67b62e79 Author: Wojciech
	Kapcia <wojciech.kapcia@tigase.org> Date:   Sat Mar 2 09:50:48 2013
	+0100

2013-03-01  Wojciech Kapcia <wojciech.kapcia@tigase.org>

	* scripts/installer-prepare.sh, src/main/izpack/install.xml,
	src/main/java/tigase/db/jdbc/DataRepositoryImpl.java: fix installer
	creation, remove derby ClientDriver

2013-03-01  Wojciech Kapcia <wojciech.kapcia@tigase.org>

	* : commit c14ac355ce28403519f3190ae783394bc9bce816 Merge: 43ffa89
	a8eb213 Author: Artur Hefczyc <artur.hefczyc@tigase.org> Date:   Thu
	Feb 28 23:31:08 2013 -0800

2013-02-28  Artur Hefczyc <artur.hefczyc@tigase.org>

	*
	src/main/java/tigase/server/xmppsession/PacketDefaultHandler.java,
	src/main/java/tigase/xmpp/XMPPResourceConnection.java,
	src/main/java/tigase/xmpp/impl/JabberIqRoster.java,
	src/main/java/tigase/xmpp/impl/Message.java: Changed logic for
	packet delivery, both message delivery and default packet handler to
	intercept IQ without a dedicated plugin, the new logic deals with
	full JID 'to' address, it now, either delivers the packet to the
	correct (and only correct) resource or returns an error - recipient
	not available, if the message is for the bare JID it is delivered to
	all available resources, for the IQ to bare JID - feature not
	implemented is returned from the default packet handler, fixes #688
	and fixes #189 for messages and default packet handler

2013-02-28  Artur Hefczyc <artur.hefczyc@tigase.org>

	* : commit 7b5b89b55edc474ed1341a859731b832db407e57 Author: Artur
	Hefczyc <artur.hefczyc@tigase.org> Date:   Thu Feb 28 20:01:19 2013
	-0800

2013-02-28  Artur Hefczyc <artur.hefczyc@tigase.org>

	* src/main/java/tigase/xmpp/impl/JabberIqRoster.java,
	src/main/java/tigase/xmpp/impl/roster/RosterElement.java,
	src/main/java/tigase/xmpp/impl/roster/RosterFlat.java: Bug #431 fix,
	corrected the way roster item name is now properly uuencoded and
	uudecoded during processing, fixes #431

2013-02-28  Artur Hefczyc <artur.hefczyc@tigase.org>

	* src/main/java/tigase/vhosts/VHostJDBCRepository.java: Code
	formatting minor changes

2013-03-01  Wojciech Kapcia <wojciech.kapcia@tigase.org>

	* ant-definitions.xml: update groovy libraries and ant scripts

2013-03-01  Andrzej Wójcik <andrzejw@tigase.org>

	* : Merge

2013-02-28  Wojciech Kapcia <wojciech.kapcia@tigase.org>

	* ant-definitions.xml, build.xml: Fix ant build

2013-02-28  Bartosz Malkowski <bmalkowski@tigase.pl>

	* src/main/java/tigase/io/TLSWrapper.java: fix: setWantClientAuth
	blocks TLS/SSL workaround for JDK7 SASL EXTERNAL will not works
	together with workaround!!!!

2013-02-27  Andrzej Wójcik <andrzejw@tigase.org>

	* src/main/java/tigase/io/TLSWrapper.java: Commented out
	setWantClientAuth as it blocks TLS/SSL workaround for JDK7

2013-02-27  Andrzej Wójcik <andrzejw@tigase.org>

	* : commit 88e4dbbf782b503e7b9e0100ebe03f139a45708f Author: Andrzej
	Wójcik <andrzejw@tigase.org> Date:   Wed Feb 27 22:46:04 2013 +0100

2013-02-27  Bartosz Malkowski <bmalkowski@tigase.pl>

	* src/main/java/tigase/io/SSLContextContainer.java,
	src/test/java/tigase/io/SSLContextContainerTest.java: #435 - One
	wildcard SSL cert for all subdomains

2013-02-26  Bartosz Malkowski <bmalkowski@tigase.pl>

	* : commit 0a8577add704e6529fd57a23ade9f4f5c2ae6a87 Author: Bartosz
	Malkowski <bmalkowski@tigase.pl> Date:   Tue Feb 26 12:48:13 2013
	+0100

2013-02-25  Artur Hefczyc <artur.hefczyc@tigase.org>

	* : Merge with ticket_462

2013-02-25  Artur Hefczyc <artur.hefczyc@tigase.org>

	* src/main/java/tigase/conf/ConfigItem.java,
	src/main/java/tigase/conf/ConfiguratorAbstract.java,
	src/main/java/tigase/server/MessageRouter.java: Minor code
	formatting changes

2013-02-25  Artur Hefczyc <artur.hefczyc@tigase.org>

	* src/main/java/tigase/server/MessageRouterConfig.java: Fixed
	problem with components configured with names with uppercase letters
	did not work: fixes #462

2013-02-25  Artur Hefczyc <artur.hefczyc@tigase.org>

	* .gitignore, scripts/stop-all-servers.sh: Minor directory cleanup

2013-02-20  Bartosz Malkowski <bmalkowski@tigase.pl>

	* src/main/java/tigase/auth/CallbackHandlerFactory.java,
	src/main/java/tigase/auth/DefaultMechanismSelector.java,
	src/main/java/tigase/auth/SessionAware.java,
	src/main/java/tigase/auth/callbacks/ValidateCertificateData.java,
	src/main/java/tigase/auth/impl/CertBasedCallbackHandler.java,
	src/main/java/tigase/auth/mechanisms/SaslEXTERNAL.java,
	src/main/java/tigase/auth/mechanisms/TigaseSaslServerFactory.java,
	src/main/java/tigase/io/SSLContextContainer.java,
	src/main/java/tigase/io/SSLContextContainerIfc.java,
	src/main/java/tigase/io/SSLContextContainerOLD.java,
	src/main/java/tigase/io/TLSUtil.java,
	src/main/java/tigase/io/TLSWrapper.java,
	src/main/java/tigase/net/IOService.java,
	src/main/java/tigase/server/Command.java,
	src/main/java/tigase/server/xmppclient/ClientConnectionManager.java
	,
	src/main/java/tigase/server/xmppclient/ClientTrustManagerFactory.ja
	va, src/main/java/tigase/server/xmppsession/SessionManager.java,
	src/main/java/tigase/xmpp/impl/SaslAuth.java:  #1072 - Implement SASL EXTERNAL

2013-02-23  Artur Hefczyc <artur.hefczyc@tigase.org>

	* : commit 00ccb967152aaeff5de1e49e6e432013d5bed791 Author: Artur
	Hefczyc <artur.hefczyc@tigase.org> Date:   Sat Feb 23 21:03:08 2013
	-0800

2013-02-23  Artur Hefczyc <artur.hefczyc@tigase.org>

	* src/main/java/tigase/server/MessageRouterConfig.java,
	src/main/java/tigase/util/DataTypes.java,
	src/main/java/tigase/vhosts/VHostItem.java,
	src/main/java/tigase/vhosts/VHostManager.java,
	src/main/java/tigase/xmpp/XMPPImplIfc.java,
	src/main/java/tigase/xmpp/XMPPProcessor.java,
	src/main/java/tigase/xmpp/impl/DomainFilter.java,
	src/main/java/tigase/xmpp/impl/MessageForwarding.java,
	src/main/java/tigase/xmpp/impl/StartTLS.java: TLS required
	implemented, properly: fixes 1044

2013-02-22  Wojciech Kapcia <wojciech.kapcia@tigase.org>

	* src/main/groovy/tigase/admin/CompRepoReload.groovy,
	src/main/java/tigase/net/DNSResolver.java: remove obsolete
	DNSResolver from OSGi merge

2013-02-22  Andrzej Wójcik <andrzejw@tigase.org>

	* src/main/java/tigase/conf/Configurable.java,
	src/main/java/tigase/server/MessageRouterConfig.java: Added
	WebSocketConnectionManager to list of autoloaded components

2013-02-21  Andrzej Wójcik <andrzejw@tigase.org>

	* : Merge

2013-02-21  Wojciech Kapcia <wojciech.kapcia@tigase.org>

	* src/main/java/tigase/vhosts/VHostJDBCRepository.java: improved
	VHost item validation - checking against all SRV records and IPs

2013-02-20  Artur Hefczyc <artur.hefczyc@tigase.org>

	* : commit 3b20617eb91cc4f5b123e5207e1e7a007f2bbd6f Merge: d0bf44d
	50a3962 Author: Artur Hefczyc <artur.hefczyc@tigase.org> Date:   Wed
	Feb 20 15:21:31 2013 -0800

2013-02-20  Artur Hefczyc <artur.hefczyc@tigase.org>

	* : commit 5f461966d9f5badeac4b26bf183b5009e6889763 Author: Artur
	Hefczyc <artur.hefczyc@tigase.org> Date:   Wed Feb 20 15:18:46 2013
	-0800

2013-02-20  Artur Hefczyc <artur.hefczyc@tigase.org>

	* build.properties,
	src/main/java/tigase/cluster/ClusterConnectionManager.java,
	src/main/java/tigase/cluster/ClusterController.java,
	src/main/java/tigase/cluster/api/ClusterElement.java,
	src/main/java/tigase/db/AuthRepository.java,
	src/main/java/tigase/db/comp/RepositoryItemAbstract.java,
	src/main/java/tigase/server/BasicComponent.java,
	src/main/java/tigase/server/Command.java,
	src/main/java/tigase/server/Iq.java,
	src/main/java/tigase/server/MessageRouterConfig.java,
	src/main/java/tigase/server/Packet.java,
	src/main/java/tigase/server/amp/ActionAbstract.java,
	src/main/java/tigase/server/amp/AmpComponent.java,
	src/main/java/tigase/server/amp/action/Deliver.java,
	src/main/java/tigase/server/amp/action/Store.java,
	src/main/java/tigase/server/amp/cond/Deliver.java,
	src/main/java/tigase/server/amp/cond/ExpireAt.java,
	src/main/java/tigase/server/amp/cond/MatchResource.java,
	src/main/java/tigase/server/bosh/BoshConnectionManager.java,
	src/main/java/tigase/server/bosh/BoshSession.java,
	src/main/java/tigase/server/bosh/BoshSessionCache.java,
	src/main/java/tigase/server/ext/CompRepoItem.java,
	src/main/java/tigase/server/sreceiver/AbstractReceiverTask.java,
	src/main/java/tigase/server/websocket/WebSocketClientConnectionMana
	ger.java,
	src/main/java/tigase/server/xmppclient/ClientConnectionManager.java
	, src/main/java/tigase/server/xmppsession/SessionManager.java,
	src/main/java/tigase/vhosts/VHostItem.java,
	src/main/java/tigase/xmpp/RepositoryAccess.java,
	src/main/java/tigase/xmpp/XMPPIOService.java,
	src/main/java/tigase/xmpp/impl/CAPS.java,
	src/main/java/tigase/xmpp/impl/DynamicRosterTest.java,
	src/main/java/tigase/xmpp/impl/JabberIqPrivacy.java,
	src/main/java/tigase/xmpp/impl/JabberIqRoster.java,
	src/main/java/tigase/xmpp/impl/JabberIqStats.java,
	src/main/java/tigase/xmpp/impl/MessageAmp.java,
	src/main/java/tigase/xmpp/impl/MobileV1.java,
	src/main/java/tigase/xmpp/impl/MobileV2.java,
	src/main/java/tigase/xmpp/impl/OfflineMessages.java,
	src/main/java/tigase/xmpp/impl/PepPlugin.java,
	src/main/java/tigase/xmpp/impl/Presence.java,
	src/main/java/tigase/xmpp/impl/PresenceCapabilitiesManager.java,
	src/main/java/tigase/xmpp/impl/Privacy.java,
	src/main/java/tigase/xmpp/impl/RemoteRosterManagement.java,
	src/main/java/tigase/xmpp/impl/RosterPresence.java,
	src/main/java/tigase/xmpp/impl/SaslAuth.java,
	src/main/java/tigase/xmpp/impl/roster/RosterElement.java,
	src/test/java/tigase/cluster/api/ClusterElementTest.java: Updates
	for the new XMLTools API for static strings as attribute keys

2013-02-20  Artur Hefczyc <artur.hefczyc@tigase.org>

	* src/test/java/tigase/cluster/api/ClusterElementTest.java: 
	Fixed/removed failing junit test

2013-02-20  Andrzej Wójcik <andrzejw@tigase.org>

	* src/test/java/tigase/cluster/api/ClusterElementTest.java: Fixed
	cluster element test

2013-02-20  Artur Hefczyc <artur.hefczyc@tigase.org>

	* src/test/java/tigase/cluster/api/ClusterElementTest.java: 
	Fixed/removed failing junit test

2013-02-19  Artur Hefczyc <artur.hefczyc@tigase.org>

	* : commit 7c75f1f12f8d502db2d30563feac666a7bd87d88 Author: Artur
	Hefczyc <artur.hefczyc@tigase.org> Date:   Tue Feb 19 22:39:00 2013
	-0800

2013-02-19  Artur Hefczyc <artur.hefczyc@tigase.org>

	* : Merge master with ticket_1044 branch

2013-02-19  Artur Hefczyc <artur.hefczyc@tigase.org>

	* src/main/java/tigase/cluster/ClusterConnectionManager.java,
	src/main/java/tigase/server/bosh/BoshSessionCache.java,
	src/main/java/tigase/server/test/TestComponent.java,
	src/main/java/tigase/xmpp/impl/JabberIqRoster.java: Element
	accessing API modifications to improve performance

2013-02-19  Artur Hefczyc <artur.hefczyc@tigase.org>

	* build.properties, src/main/java/tigase/server/Iq.java,
	src/main/java/tigase/server/Message.java,
	src/main/java/tigase/server/MessageRouter.java,
	src/main/java/tigase/server/Packet.java,
	src/main/java/tigase/server/bosh/BoshConnectionManager.java,
	src/main/java/tigase/server/bosh/Constants.java,
	src/main/java/tigase/server/xmppclient/ClientConnectionManager.java
	, src/main/java/tigase/xmpp/impl/JabberIqRegister.java,
	src/main/java/tigase/xmpp/impl/PresenceCapabilitiesManager.java: 
	Element accessing API modifications to improve performance

2013-02-19  Artur Hefczyc <artur.hefczyc@tigase.org>

	* src/main/java/tigase/xmpp/XMPPResourceConnection.java,
	src/main/java/tigase/xmpp/XMPPSession.java: getActiveResources()
	method no longer returns a clone of the structure. Added a new
	method returning cloned collection.

2013-02-19  Artur Hefczyc <artur.hefczyc@tigase.org>

	* src/main/java/tigase/vhosts/VHostManagerIfc.java: Code formatting
	changes only.

2013-02-19  Artur Hefczyc <artur.hefczyc@tigase.org>

	* src/main/java/tigase/server/ext/ComponentConnection.java: Code
	formatting changes only.

2013-02-19  Artur Hefczyc <artur.hefczyc@tigase.org>

	* src/main/java/tigase/conf/ConfiguratorAbstract.java: Fixed problem
	with setting up test mode using --test=true property.

2013-02-19  Artur Hefczyc <artur.hefczyc@tigase.org>

	* src/main/java/tigase/server/websocket/WebSocketXMPPIOService.java: 
	Code formatting changes only.

2013-02-19  Artur Hefczyc <artur.hefczyc@tigase.org>

	* src/main/java/tigase/cluster/ClusterConnectionManager.java,
	src/main/java/tigase/server/ConnectionManager.java,
	src/main/java/tigase/server/ext/ComponentProtocol.java: Traffic
	limits updated for external components and cluster connections to
	virtually unlimited. Also if traffic limits are exceeded for high
	traffic connections a WARNING is printed to a log file, otherwise
	FINER. fixes: #1070.

2013-02-18  Artur Hefczyc <artur.hefczyc@tigase.org>

	* src/main/java/tigase/server/xmppserver/CIDConnections.java: Added
	a test mode for a quick DNS check fail for TTS tested domains to
	speedup tests for non-existen domains.

2013-02-17  Andrzej Wójcik <andrzejw@tigase.org>

	* src/main/java/tigase/cluster/api/ClusterElement.java,
	src/test/java/tigase/cluster/api/ClusterElementTest.java: Fixed
	clustering issue - NPE after receiving cluster packet

2013-02-17  Andrzej Wójcik <andrzejw@tigase.org>

	* src/main/java/tigase/stats/StatisticsCollector.java,
	src/main/java/tigase/stats/StatisticsProvider.java: Fixed issue with
	stopping StatisticsCollector and StatisticsProvider inside OSGi.

2013-02-17  Andrzej Wójcik <andrzejw@tigase.org>

	* src/main/java/tigase/xmpp/impl/JabberIqAuth.java,
	src/main/java/tigase/xmpp/impl/SaslAuth.java,
	src/main/resources/META-INF/java.security.Provider: Fixed reload of
	TigaseSaslServerFactory inside OSGi.

2013-02-16  Artur Hefczyc <artur.hefczyc@tigase.org>

	* src/main/java/tigase/cluster/api/ClusterElement.java,
	src/main/java/tigase/disco/XMPPServiceCollector.java,
	src/main/java/tigase/server/Command.java,
	src/main/java/tigase/server/Iq.java,
	src/main/java/tigase/server/MessageRouter.java,
	src/main/java/tigase/server/Packet.java,
	src/main/java/tigase/server/bosh/BoshSession.java,
	src/main/java/tigase/server/bosh/BoshSessionCache.java,
	src/main/java/tigase/server/ext/handlers/BindProcessor.java,
	src/main/java/tigase/server/sreceiver/PubSubTestsTask.java,
	src/main/java/tigase/server/sreceiver/ShortNewsPublisher.java,
	src/main/java/tigase/server/sreceiver/TesterTask.java,
	src/main/java/tigase/server/sreceiver/sysmon/SystemMonitorTask.java
	, src/main/java/tigase/server/test/TestComponent.java,
	src/main/java/tigase/server/xmppclient/ClientConnectionManager.java
	, src/main/java/tigase/server/xmppserver/proc/Dialback.java,
	src/main/java/tigase/server/xmppserver/proc/StartTLS.java,
	src/main/java/tigase/server/xmppsession/PacketDefaultHandler.java,
	src/main/java/tigase/vhosts/VHostItem.java,
	src/main/java/tigase/xmpp/XMPPProcessor.java,
	src/main/java/tigase/xmpp/XMPPResourceConnection.java,
	src/main/java/tigase/xmpp/impl/BindResource.java,
	src/main/java/tigase/xmpp/impl/JabberIqAuth.java,
	src/main/java/tigase/xmpp/impl/JabberIqIq.java,
	src/main/java/tigase/xmpp/impl/JabberIqPrivacy.java,
	src/main/java/tigase/xmpp/impl/JabberIqPrivate.java,
	src/main/java/tigase/xmpp/impl/JabberIqRegister.java,
	src/main/java/tigase/xmpp/impl/JabberIqRoster.java,
	src/main/java/tigase/xmpp/impl/MessageForwarding.java,
	src/main/java/tigase/xmpp/impl/OfflineMessages.java,
	src/main/java/tigase/xmpp/impl/PepPlugin.java,
	src/main/java/tigase/xmpp/impl/Presence.java: Second phase of
	performance optimizations, switched over to using methods for static
	string in XML Elements

2013-02-16  Artur Hefczyc <artur.hefczyc@tigase.org>

	* : Conflict resolved

2013-02-15  Wojciech Kapcia <wojciech.kapcia@tigase.org>

	* scripts/debian/tigase.init.d, scripts/tigase.sh: update scripts to
	handle OSGi

2013-02-14  Wojciech Kapcia <wojciech.kapcia@tigase.org>

	* pom.xml: fix buildNumber and timestamp in manifest

2013-02-14  Bartosz Malkowski <bmalkowski@tigase.pl>

	* src/main/java/tigase/auth/impl/AuthRepoPlainCallbackHandler.java: 
	fix: SASL problem. mistake in AuthorizeCallback

2013-02-13  Artur Hefczyc <artur.hefczyc@tigase.org>

	* src/main/java/tigase/xmpp/XMPPProcessor.java: XMPP
	processor/plugin new API

2013-02-13  Artur Hefczyc <artur.hefczyc@tigase.org>

	* src/main/java/tigase/xmpp/XMPPProcessor.java: XMPP
	processor/plugin new API

2013-02-13  Artur Hefczyc <artur.hefczyc@tigase.org>

	* : New Grrovy libraries - upgrade to Groovy 2.1.0

2013-02-08  Artur Hefczyc <artur.hefczyc@tigase.org>

	* src/main/java/tigase/net/IOService.java,
	src/main/java/tigase/server/xmppsession/PacketDefaultHandler.java,
	src/main/java/tigase/xmpp/XMPPImplIfc.java,
	src/main/java/tigase/xmpp/XMPPProcessor.java,
	src/main/java/tigase/xmpp/XMPPResourceConnection.java: Initial API
	changes, still backward compatible

2013-02-13  Artur Hefczyc <artur.hefczyc@tigase.org>

	* : commit eda27b1cf99fc9d48efa05b5a25cf9d212d4c45c Author: Artur
	Hefczyc <artur.hefczyc@tigase.org> Date:   Wed Feb 13 14:38:30 2013
	-0800

2013-02-13  Artur Hefczyc <artur.hefczyc@tigase.org>

	* src/main/java/tigase/xmpp/XMPPProcessor.java: XMPP
	processor/plugin new API

2013-02-13  Artur Hefczyc <artur.hefczyc@tigase.org>

	* : New Grrovy libraries - upgrade to Groovy 2.1.0

2013-02-08  Artur Hefczyc <artur.hefczyc@tigase.org>

	* src/main/java/tigase/net/IOService.java,
	src/main/java/tigase/server/xmppsession/PacketDefaultHandler.java,
	src/main/java/tigase/xmpp/XMPPImplIfc.java,
	src/main/java/tigase/xmpp/XMPPProcessor.java,
	src/main/java/tigase/xmpp/XMPPResourceConnection.java: Initial API
	changes, still backward compatible

2013-02-13  Artur Hefczyc <artur.hefczyc@tigase.org>

	* src/main/java/tigase/xmpp/XMPPImplIfc.java,
	src/main/java/tigase/xmpp/XMPPResourceConnection.java: Minor
	formatting changes

2013-02-13  Artur Hefczyc <artur.hefczyc@tigase.org>

	* src/main/java/tigase/xmpp/XMPPProcessor.java: XMPP
	processor/plugin new API

2013-02-13  Artur Hefczyc <artur.hefczyc@tigase.org>

	* : commit 63e02018e35aafc5b050424a80206f969fbbfc27 Author: Artur
	Hefczyc <artur.hefczyc@tigase.org> Date:   Wed Feb 13 14:29:10 2013
	-0800

2013-02-13  Artur Hefczyc <artur.hefczyc@tigase.org>

	* : commit 3195c9daeb1c2ef47edc9a84b3a2247aa3a1ff0f Author: Artur
	Hefczyc <artur.hefczyc@tigase.org> Date:   Wed Feb 13 14:27:27 2013
	-0800

2013-02-13  Artur Hefczyc <artur.hefczyc@tigase.org>

	* : New Grrovy libraries - upgrade to Groovy 2.1.0

2013-02-08  Artur Hefczyc <artur.hefczyc@tigase.org>

	* src/main/java/tigase/net/IOService.java,
	src/main/java/tigase/server/xmppsession/PacketDefaultHandler.java,
	src/main/java/tigase/xmpp/XMPPImplIfc.java,
	src/main/java/tigase/xmpp/XMPPProcessor.java,
	src/main/java/tigase/xmpp/XMPPResourceConnection.java: Initial API
	changes, still backward compatible

2013-02-13  Artur Hefczyc <artur.hefczyc@tigase.org>

	* src/main/java/tigase/xmpp/XMPPImplIfc.java,
	src/main/java/tigase/xmpp/XMPPProcessor.java: XMPP processor/plugin
	new API

2013-02-13  Artur Hefczyc <artur.hefczyc@tigase.org>

	* : New Grrovy libraries - upgrade to Groovy 2.1.0

2013-02-11  Wojciech Kapcia <wojciech.kapcia@tigase.org>

	* src/main/java/tigase/xmpp/impl/xep0136/MessageArchive.java,
	src/main/java/tigase/xmpp/impl/xep0136/MessageArchiveDB.java: remove
	obsolete xep-0136 implementation

2013-02-10  Wojciech Kapcia <wojciech.kapcia@tigase.org>

	* pom.xml: separate snapshot repository

2013-02-08  Artur Hefczyc <artur.hefczyc@tigase.org>

	* src/main/java/tigase/net/IOService.java,
	src/main/java/tigase/server/xmppsession/PacketDefaultHandler.java,
	src/main/java/tigase/xmpp/XMPPImplIfc.java,
	src/main/java/tigase/xmpp/XMPPProcessor.java,
	src/main/java/tigase/xmpp/XMPPResourceConnection.java: Initial API
	changes, still backward compatible

2013-02-08  Andrzej Wójcik <andrzejw@tigase.org>

	* src/main/java/tigase/io/TLSWrapper.java: Added workaround for bug
	in TLS/SSL when JDK is using new version of NSS library.  Add
	system property 'tls-jdk-nss-bug-workaround-active' set to 'true',
	example: '-Dtls-jdk-nss-bug-workaround-active=true'

2013-02-06  Andrzej Wójcik <andrzejw@tigase.org>

	* : commit bff32d967821118ecafca12b07eefb51b4051abf Author: Andrzej
	Wójcik <andrzejw@tigase.org> Date:   Wed Feb 6 21:45:07 2013 +0100

2013-02-05  Artur Hefczyc <artur.hefczyc@tigase.org>

	* scripts/update-all-servers.sh,
	src/main/java/tigase/xmpp/XMPPIOService.java: Spelling correction
	and local variable name change

2013-01-31  Andrzej Wójcik <andrzejw@tigase.org>

	* src/main/java/tigase/xmpp/impl/JabberIqPrivacy.java: Fixed issue
	with validation of group name for #114

2013-01-30  Andrzej Wójcik <andrzejw@tigase.org>

	* : Merge

2013-01-30  Wojciech Kapcia <wojciech.kapcia@tigase.org>

	* src/main/java/tigase/xmpp/impl/JabberIqPrivacy.java: remove
	debugging

2013-01-29  Andrzej Wójcik <andrzejw@tigase.org>

	* src/main/java/tigase/xmpp/impl/JabberIqPrivacy.java: Fixed #118 -
	forced update of active privacy list if list is updated

2013-01-29  Andrzej Wójcik <andrzejw@tigase.org>

	* src/main/java/tigase/xmpp/impl/JabberIqPrivacy.java: Issue #1029 -
	allowed interaction when from/to attribute is null or matches domain
	name

2013-01-28  Andrzej Wójcik <andrzejw@tigase.org>

	* src/main/java/tigase/xmpp/impl/JabberIqPrivacy.java: Fixed #1029 -
	list with only one item set to block prevents user from log-in

2013-01-27  Andrzej Wójcik <andrzejw@tigase.org>

	* pom.xml, src/main/java/tigase/osgi/ModulesManager.java,
	src/main/java/tigase/osgi/ModulesManagerImpl.java: Changed artifact
	id to merge OSGified version to master branch

2013-01-27  Andrzej Wójcik <andrzejw@tigase.org>

	* pom.xml, src/main/java/tigase/osgi/Activator.java,
	src/main/java/tigase/osgi/ModulesManagerImpl.java,
	src/main/java/tigase/server/ConnectionManager.java,
	src/main/java/tigase/server/MessageRouter.java,
	src/main/java/tigase/server/MessageRouterConfig.java: Improved OSGi
	support - reloading server bundle

2013-01-27  Andrzej Wójcik <andrzejw@tigase.org>

	* : Merge origin/master into osgi Conflicts: 	pom.xml 	src/main/java/tigase/auth/ResourceConnectionCallback.java 	src/main/java/tigase/net/IOService.java 	src/main/java/tigase/server/xmppserver/S2SConnectionManager.java

2013-01-14  Bartosz Malkowski <bmalkowski@tigase.pl>

	* src/main/java/tigase/auth/AuthRepositoryAware.java,
	src/main/java/tigase/auth/AuthorisationSystem.java,
	src/main/java/tigase/auth/CallbackHandlerFactory.java,
	src/main/java/tigase/auth/DefaultMechanismSelector.java,
	src/main/java/tigase/auth/DomainAware.java,
	src/main/java/tigase/auth/MechanismSelector.java,
	src/main/java/tigase/auth/MechanismSelectorFactory.java,
	src/main/java/tigase/auth/NonAuthUserRepositoryAware.java,
	src/main/java/tigase/auth/ResourceConnectionCallback.java,
	src/main/java/tigase/auth/SaslAnonymous.java,
	src/main/java/tigase/auth/SaslPLAIN.java,
	src/main/java/tigase/auth/TigaseSaslProvider.java,
	src/main/java/tigase/auth/TigaseSaslServerFactory.java,
	src/main/java/tigase/auth/XmppSaslException.java,
	src/main/java/tigase/auth/callbacks/VerifyPasswordCallback.java,
	src/main/java/tigase/auth/impl/AuthRepoPlainCallbackHandler.java,
	src/main/java/tigase/auth/mechanisms/AbstractSasl.java,
	src/main/java/tigase/auth/mechanisms/SaslANONYMOUS.java,
	src/main/java/tigase/auth/mechanisms/SaslPLAIN.java,
	src/main/java/tigase/auth/mechanisms/TigaseSaslServerFactory.java,
	src/main/java/tigase/db/AuthRepository.java,
	src/main/java/tigase/db/jdbc/DrupalWPAuth.java,
	src/main/java/tigase/server/xmppsession/SessionManager.java,
	src/main/java/tigase/xmpp/RepositoryAccess.java,
	src/main/java/tigase/xmpp/XMPPResourceConnection.java,
	src/main/java/tigase/xmpp/impl/JabberIqAuth.java,
	src/main/java/tigase/xmpp/impl/SaslAuth.java,
	src/test/java/tigase/auth/mechanisms/SaslANONYMOUSTest.java,
	src/test/java/tigase/auth/mechanisms/SaslPLAINTest.java: Task #1018
	- Improve managing SASL mechanisms
	https://projects.tigase.org/issues/1018 add: CallbackHandlerFactory add: *Aware interfaces add:
	XmppSaslException update: SaslAuth, SaslPLAIN and others add:
	callback handler for old AuthRepo add: configurable SASLProvider
	Rewrite PLAIN and ANONYMOUS mechanisms update detection anonymouses
	deprecate methods add junittests update exceptions add mechanism
	selector update javadoc

2013-01-16  Andrzej Wójcik <andrzejw@tigase.org>

	* src/main/java/tigase/osgi/OSGiScriptEngineManager.java: Fix for
	NPE for jars not being OSGi bundles in bundle directory

2013-01-15  Andrzej Wójcik <andrzejw@tigase.org>

	* : Merge from fixes-for-5.1

2013-01-13  Andrzej Wójcik <andrzejw@tigase.org>

	* : Merge origin/master into osgi

2012-12-20  Andrzej Wójcik <andrzejw@tigase.org>

	* : commit 430f7ade39c5c986d04049d23720ddbaae214621 Author: Andrzej
	Wójcik <andrzej@hi-low.eu> Date:   Thu Dec 20 23:00:24 2012 +0100

2012-12-14  Wojciech Kapcia <wojciech.kapcia@tigase.org>

	* src/main/java/tigase/server/ext/ComponentProtocol.java: sorting
	connections upon creation - fix (Issue #983) :  ReceiverBareJidLB
	broken

2012-12-13  Wojciech Kapcia <wojciech.kapcia@tigase.org>

	* scripts/db-create.sh: improved postres db create script

2012-12-12  Artur Hefczyc <artur.hefczyc@tigase.org>

	* : commit 5a258bd02057a16546f6763b0d3302445bf91325 Author: Artur
	Hefczyc <artur.hefczyc@tigase.org> Date:   Wed Dec 12 14:34:36 2012
	-0800

2012-12-12  Andrzej Wójcik <andrzej@hi-low.eu>

	* src/main/java/tigase/server/bosh/BoshConnectionManager.java,
	src/main/java/tigase/server/bosh/BoshSendQueueTask.java,
	src/main/java/tigase/server/bosh/BoshSession.java,
	src/main/java/tigase/server/bosh/BoshSessionTaskHandler.java,
	src/main/java/tigase/server/bosh/Constants.java:  #951 Added support for batching stanzas sent to client from BOSH
	 component

2012-12-07  Artur Hefczyc <artur.hefczyc@tigase.org>

	* src/main/java/tigase/xmpp/impl/roster/RosterElement.java: Improved
	code to track online buddies and setOnline method is not thread-safe

2012-12-07  Artur Hefczyc <artur.hefczyc@tigase.org>

	* src/main/java/tigase/xmpp/impl/Presence.java,
	src/main/java/tigase/xmpp/impl/roster/RosterElement.java: Improved
	code to track online buddies and setOnline method is not thread-safe

2012-12-07  Artur Hefczyc <artur.hefczyc@tigase.org>

	* src/main/java/tigase/server/Packet.java: packRouted and
	unpackRouted now includes also packet priority and permissions

2012-12-02  Andrzej Wójcik <andrzej@hi-low.eu>

	* src/main/groovy/tigase/admin/PluginManager.groovy: Fixes for
	PluginManager adhoc command script

2012-11-28  Andrzej Wójcik <andrzejw@tigase.org>

	* : Merge origin/master into osgi

2012-11-22  Artur Hefczyc <artur.hefczyc@tigase.org>

	* src/main/java/tigase/cluster/VirtualComponent.java: Fixed problem
	with anonymous users in a cluster system not having access to
	components through VirtualComponent, VirtualComponent was not
	registering its subdomain with VHostManager, hence DomainFilter
	refused to forward packet, fixes #933

2012-11-22  Artur Hefczyc <artur.hefczyc@tigase.org>

	* src/main/java/tigase/cluster/VirtualComponent.java: Fixed problem
	with anonymous users in a cluster system not having access to
	components through VirtualComponent, VirtualComponent was not
	registering its subdomain with VHostManager, hence DomainFilter
	refused to forward packet

2012-11-15  Andrzej Wójcik <andrzej@hi-low.eu>

	* src/main/java/tigase/server/AbstractMessageReceiver.java,
	src/main/java/tigase/server/BasicComponent.java: Fix for issue with
	service discovery

2012-11-11  Andrzej Wójcik <andrzej@hi-low.eu>

	* src/main/java/tigase/osgi/ModulesManagerImpl.java: Changed
	implementation of plugins handling to be compatible with original
	implementation.

2012-11-07  Andrzej Wójcik <andrzej@hi-low.eu>

	* src/main/groovy/tigase/admin/CompManager.groovy,
	src/main/java/tigase/net/IOService.java: Fixed management scripts

2012-11-06  Andrzej Wójcik <andrzej@hi-low.eu>

	* : Merge

2012-11-05  Wojciech Kapcia <wojciech.kapcia@tigase.org>

	* pom.xml: prepare for next development iteration

2012-11-05  Wojciech Kapcia <wojciech.kapcia@tigase.org>

	* pom.xml: tigase-server-5.1.3 release

2012-11-02  Artur Hefczyc <artur.hefczyc@tigase.org>

	* src/main/java/tigase/server/package-info.java: package info file
	for tigase.server package

2012-11-02  Artur Hefczyc <artur.hefczyc@tigase.org>

	* : Fixed problem with configuration settings for traffic throttling

2012-11-02  Artur Hefczyc <artur.hefczyc@tigase.org>

	* prj.el, src/main/java/tigase/io/IOInterface.java,
	src/main/java/tigase/io/SocketIO.java,
	src/main/java/tigase/io/TLSIO.java,
	src/main/java/tigase/io/ZLibIO.java,
	src/main/java/tigase/net/IOService.java,
	src/main/java/tigase/server/ConnectionManager.java,
	src/main/java/tigase/util/DataTypes.java,
	src/main/java/tigase/xmpp/XMPPIOService.java: Traffic throttling
	implemented with configuration options described here:
	http://www.tigase.org/content/initproperties#cm-traffic-throttling.
	Fixes: #105

2012-10-30  Artur Hefczyc <artur.hefczyc@tigase.org>

	* build.properties: This closes Bosh fixes for the wait timer for
	multiple connections from the user, fixes #905

2012-10-30  Artur Hefczyc <artur.hefczyc@tigase.org>

	* src/main/java/tigase/server/bosh/BoshSession.java: Fixed a bug in
	disconnected method removing services from the collection

2012-10-30  Artur Hefczyc <artur.hefczyc@tigase.org>

	* src/main/java/tigase/server/bosh/BoshSession.java: Fixed handling
	connections with waitTimer set, like initialization response is sent
	right away on the connection, so no waitTimer is needed

2012-10-30  Artur Hefczyc <artur.hefczyc@tigase.org>

	* src/main/java/tigase/server/bosh/BoshSession.java: Fixed handling
	connections with waitTimer set, like initialization response is sent
	right away on the connection, so no waitTimer is needed

2012-10-30  Artur Hefczyc <artur.hefczyc@tigase.org>

	* src/main/java/tigase/server/bosh/BoshConnectionManager.java,
	src/main/java/tigase/server/bosh/BoshIOService.java,
	src/main/java/tigase/server/bosh/BoshSession.java,
	src/main/java/tigase/server/bosh/BoshSessionTaskHandler.java,
	src/main/java/tigase/server/bosh/BoshTask.java: Modified code to
	have a separate waitTimer for each Bosh connection, therefore is one
	of the timers expire for the BoshSession and there are more
	connections from the client for this user, the server behaves
	correctly and will handle remaining connections correctly. That is
	it will expire them all one by one in an order they were opened

2012-10-30  Andrzej Wójcik <andrzej@hi-low.eu>

	* pom.xml, src/main/java/tigase/annotations/TODO.java,
	src/main/java/tigase/auth/ResourceConnectionCallback.java,
	src/main/java/tigase/cluster/BoshConnectionClustered.java,
	src/main/java/tigase/conf/Configurator.java,
	src/main/java/tigase/db/AuthorizationException.java,
	src/main/java/tigase/db/DBInitException.java,
	src/main/java/tigase/db/DataOverwriteException.java,
	src/main/java/tigase/db/TigaseDBException.java,
	src/main/java/tigase/db/UserNotFoundException.java,
	src/main/java/tigase/db/comp/UserRepoRepository.java,
	src/main/java/tigase/db/jdbc/DataRepositoryImpl.java,
	src/main/java/tigase/disco/ServiceIdentity.java,
	src/main/java/tigase/http/HttpService.java,
	src/main/java/tigase/io/BufferUnderflowException.java,
	src/main/java/tigase/io/SSLContextContainer.java,
	src/main/java/tigase/io/SSLContextContainerIfc.java,
	src/main/java/tigase/io/SSLContextContainerOLD.java,
	src/main/java/tigase/io/TLSIO.java,
	src/main/java/tigase/io/TLSStatus.java,
	src/main/java/tigase/io/TLSUtil.java,
	src/main/java/tigase/io/TLSWrapper.java,
	src/main/java/tigase/io/TelnetClient.java,
	src/main/java/tigase/io/TelnetServer.java,
	src/main/java/tigase/net/Accept.java,
	src/main/java/tigase/net/ConnectionOpenListener.java,
	src/main/java/tigase/net/ConnectionOpenThread.java,
	src/main/java/tigase/net/ConnectionType.java,
	src/main/java/tigase/net/DNSResolver.java,
	src/main/java/tigase/net/IOService.java,
	src/main/java/tigase/net/ServiceCommand.java,
	src/main/java/tigase/net/SocketType.java,
	src/main/java/tigase/osgi/Activator.java,
	src/main/java/tigase/osgi/ModulesManager.java,
	src/main/java/tigase/osgi/ModulesManagerImpl.java,
	src/main/java/tigase/osgi/OSGiScriptEngine.java,
	src/main/java/tigase/osgi/OSGiScriptEngineFactory.java,
	src/main/java/tigase/osgi/OSGiScriptEngineManager.java,
	src/main/java/tigase/osgi/util/ClassUtil.java,
	src/main/java/tigase/server/AbstractMessageReceiver.java,
	src/main/java/tigase/server/BasicComponent.java,
	src/main/java/tigase/server/ComponentRegistrator.java,
	src/main/java/tigase/server/ConnectionManager.java,
	src/main/java/tigase/server/MessageRouter.java,
	src/main/java/tigase/server/MessageRouterConfig.java,
	src/main/java/tigase/server/XMPPServer.java,
	src/main/java/tigase/server/bosh/BoshConnectionManager.java,
	src/main/java/tigase/server/bosh/BoshSession.java,
	src/main/java/tigase/server/ext/handlers/ComponentConnectStreamOpen
	Handler.java, src/main/java/tigase/server/gateways/Gateway.java,
	src/main/java/tigase/server/sreceiver/DefaultValues.java,
	src/main/java/tigase/server/sreceiver/NewsDistributor.java,
	src/main/java/tigase/server/sreceiver/PropertyConstants.java,
	src/main/java/tigase/server/sreceiver/PropertyItem.java,
	src/main/java/tigase/server/sreceiver/ReceiverTaskIfc.java,
	src/main/java/tigase/server/sreceiver/RosterItem.java,
	src/main/java/tigase/server/sreceiver/TaskCommandIfc.java,
	src/main/java/tigase/server/sreceiver/TaskCommons.java,
	src/main/java/tigase/server/sreceiver/TaskCreationPolicy.java,
	src/main/java/tigase/server/sreceiver/TaskType.java,
	src/main/java/tigase/server/ssender/SenderTask.java,
	src/main/java/tigase/server/xmppserver/CIDConnections.java,
	src/main/java/tigase/server/xmppserver/S2SConnectionManager.java,
	src/main/java/tigase/server/xmppsession/SessionManager.java,
	src/main/java/tigase/server/xmppsession/SessionManagerConfig.java,
	src/main/java/tigase/stats/StatRecord.java,
	src/main/java/tigase/stats/StatisticsContainer.java,
	src/main/java/tigase/util/ElementUtils.java,
	src/main/java/tigase/util/ProcessingThreads.java,
	src/main/java/tigase/util/WorkerThread.java,
	src/main/java/tigase/vhosts/VHostManager.java,
	src/main/java/tigase/vhosts/VHostManagerIfc.java,
	src/main/java/tigase/xmpp/NotAuthorizedException.java,
	src/main/java/tigase/xmpp/ProcessorFactory.java,
	src/main/java/tigase/xmpp/XMPPException.java,
	src/main/java/tigase/xmpp/impl/CAPS.java,
	src/main/java/tigase/xmpp/impl/JabberIqRegister.java,
	src/main/java/tigase/xmpp/impl/JabberIqRoster.java,
	src/main/java/tigase/xmpp/impl/PepPlugin.java,
	src/main/java/tigase/xmpp/impl/PresenceCapabilitiesManager.java,
	src/main/java/tigase/xmpp/impl/RemoteRosterManagement.java,
	src/main/java/tigase/xmpp/impl/RosterPresence.java,
	src/main/java/tigase/xmpp/impl/roster/RosterAbstract.java: Initial
	work on OSGi  and minor improvements

2012-10-25  Bartosz Malkowski <bmalkowski@tigase.pl>

	* build.xml: Add method to calculate build version from 'git
	describe'

2012-10-25  Artur Hefczyc <artur.hefczyc@tigase.org>

	* pom.xml, src/main/java/tigase/db/AuthRepositoryMDImpl.java: 
	XMLTools depenency change to include last parser fixes

2012-10-24  Artur Hefczyc <artur.hefczyc@tigase.org>

	* build.properties: Bugfix version number changed to 5.1.2

2012-10-24  Artur Hefczyc <artur.hefczyc@tigase.org>

	* src/main/java/tigase/conf/ConfiguratorAbstract.java: Fixed problem
	with custom parameters for DB for different domains

2012-10-24  Artur Hefczyc <artur.hefczyc@tigase.org>

	* src/main/java/tigase/xmpp/XMPPDomBuilderHandler.java,
	src/main/java/tigase/xmpp/impl/JabberIqPrivacy.java: Increased a
	default limit on the number of child element in stanza from 100 to
	1000 and 100 seems way too low, especially for packets like vcards
	or privacy lists, also minor code formatting changes in the privacy
	lists plugin

2012-10-24  Artur Hefczyc <artur.hefczyc@tigase.org>

	* build.xml: Fixed build number calculations for different git
	versions

2012-10-24  Artur Hefczyc <artur.hefczyc@tigase.org>

	* build.xml: Fixed problem with buid number generation

2012-10-24  Artur Hefczyc <artur.hefczyc@tigase.org>

	* : commit 92f4100c02d8f30b36cb8d21573927ad6a04719f Author: Artur
	Hefczyc <artur.hefczyc@tigase.org> Date:   Wed Oct 24 09:32:31 2012
	-0700

2012-10-24  Andrzej Wójcik <andrzej@hi-low.eu>

	* src/main/java/tigase/sys/TigaseRuntime.java: Added missing Logger
	import

2012-10-23  Artur Hefczyc <artur.hefczyc@tigase.org>

	* src/main/java/tigase/sys/TigaseRuntime.java,
	src/main/java/tigase/xmpp/XMPPDomBuilderHandler.java: Added a log
	message about OldGen memory pool used for memory usage reporting

2012-10-23  Artur Hefczyc <artur.hefczyc@tigase.org>

	* src/main/java/tigase/xmpp/XMPPParserException.java: One forgotten
	class for the DOS protection implementation

2012-10-23  Artur Hefczyc <artur.hefczyc@tigase.org>

	* src/main/java/tigase/xmpp/XMPPDomBuilderHandler.java: Added
	protection from a DOS attack on the XMPP stanza to create infinite
	number of child elements (payload) to the top XML element

2012-10-23  Artur Hefczyc <artur.hefczyc@tigase.org>

	* scripts/restart-all-servers.sh, scripts/update-all-servers.sh,
	src/main/java/tigase/xmpp/XMPPDomBuilderHandler.java,
	src/main/java/tigase/xmpp/XMPPIOService.java: Added protection from
	a DOS attack on the XMPP stanza to create infinite number of child
	elements (payload) to the top XML element

2012-10-23  Artur Hefczyc <artur.hefczyc@tigase.org>

	* pom.xml: A new version of xmltools is required

2012-10-23  Artur Hefczyc <artur.hefczyc@tigase.org>

	* pom.xml: A new version of XMLTools required

2012-10-15  Artur Hefczyc <artur.hefczyc@tigase.org>

	* scripts/restart-all-servers.sh, scripts/update-all-servers.sh: 
	Scripts accept now a filename as a parameter

2012-09-24  Artur Hefczyc <artur.hefczyc@tigase.org>

	* src/main/java/tigase/server/ConnectionManager.java,
	src/main/java/tigase/server/xmppclient/ClientConnectionManager.java: 
	Added configuration option for maxInactivityTime in seconds: for
	inactivity time set to 15 minutes we need -
	comp-name/max-inactivity-time[L]=900, Fixes #836

2012-09-24  Artur Hefczyc <artur.hefczyc@tigase.org>

	* prj.el, src/main/java/tigase/server/Packet.java,
	src/main/java/tigase/xmpp/XMPPIOService.java: ACK/REQ implementation
	in progress

2012-09-22  Artur Hefczyc <artur.hefczyc@tigase.org>

	* : commit 6762c9fa1d51613791af21650fdb34e2ae784586 Author: Artur
	Hefczyc <artur.hefczyc@tigase.org> Date:   Sat Sep 22 13:20:41 2012
	-0700

2012-09-22  Artur Hefczyc <artur.hefczyc@tigase.org>

	* src/main/java/tigase/server/BasicComponent.java: Added
	getDefVHostItem method to the API, so connection managers can get a
	default VHost instead of a local hostname

2012-09-22  Artur Hefczyc <artur.hefczyc@tigase.org>

	* src/main/java/tigase/vhosts/VHostManager.java,
	src/main/java/tigase/vhosts/VHostManagerIfc.java: Added
	getDefVHostItem method to the API, so connection managers can get a
	default VHost instead of a local hostname

2012-09-22  Artur Hefczyc <artur.hefczyc@tigase.org>

	* pom.xml: Updated URL for the developer: Artur Hefczyc

2012-09-20  Wojciech Kapcia <wojciech.kapcia@tigase.org>

	* pom.xml: updated maven project configuration URLs

2012-09-05  Andrzej Wójcik <andrzejw@tigase.org>

	* : commit dca57704b29af72ad3093303e13c72b0a0afeefc Author: Bartosz
	Malkowski <bmalkowski@tigase.pl> Date:   Tue Sep 4 08:13:46 2012
	+0200

2012-09-04  Bartosz Malkowski <bmalkowski@tigase.pl>

	* .gitignore: update .gitignore

2012-08-29  kobit <kobit@7d282ba1-3ae6-0310-8f9b-c9008a0864d2>

	* src/main/java/tigase/xmpp/impl/DomainFilter.java: Changed access
	level from private to public for methods getDomains and
	getDomainsList, closes #810.  git-svn-id: file:///home/svn/repos/tigase-server/trunk@3003
	7d282ba1-3ae6-0310-8f9b-c9008a0864d2

2012-08-21  wojtek <wojtek@7d282ba1-3ae6-0310-8f9b-c9008a0864d2>

	* [maven-release-plugin] prepare for next development iteration git-svn-id: file:///home/svn/repos/tigase-server/trunk@3002
	7d282ba1-3ae6-0310-8f9b-c9008a0864d2

